module.exports = {
	productionSourceMap: false,
	assetsDir: 's',
	configureWebpack: {
		externals: {
			vue: "Vue",
			vuex: "Vuex",
			"vue-router": "VueRouter",
			"element-ui": "ELEMENT"
		},
	},
	lintOnSave:false,
	devServer: {
		inline: true,
		disableHostCheck: true,
		port: 8086,
		hot: true,//自动保存
		proxy: {
			'/attendance': {
				target: 'http://192.168.0.98:11039',
				// target: 'http://localhost:17500',
				changeOrigin: true,
				secure: false,
				cookieDomainRewrite: 'localhost',
			}
		}
	}
}
