package com.mortals.xhx.module.attendance.model;

import lombok.Data;

/**
 * 出勤情况
 *
 * @author:
 * @date: 2023/4/20 14:24
 */
@Data
public class AttendanceStatus {

    /**
     * 需要出勤人数
     */
    private Integer needAttNum;

    /**
     * 未出勤
     */
    private Integer noAtt;

    /**
     * 出勤率
     */
    private String attPercentage;

    /**
     * 迟到
     */
    private Integer beLate;

    /**
     * 早退
     */
    private Integer leaveEarly;

    /**
     * 缺卡
     */
    private Integer lackOfCards;


}
