package com.mortals.xhx.module.attendance.model.vo;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.attendance.model.*;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;
/**
* 考勤组信息视图对象
*
* @author zxfei
* @date 2023-04-08
*/
@Data
public class AttendanceGroupVo extends BaseEntityLong {

    /**
     * 固定班次考勤组班次实体类
     */
    private AttendanceGroupFixedworkEntity groupFixedworkEntity;

    /**
     * 考勤组负责人对象
     */
    private AttendanceGroupResponsibleEntity groupResponsibleEntity;

    /**
     * 自由班制
     */
    private AttendanceGroupFreeworkEntity attendanceGroupFreeworkEntity;

    /**
     * 考勤组负责人id
     */
    private Long responsibleId;

    /**
     * 考勤组负责人名字
     */
    private String responsibleName;

    /**
     * 考勤时间
     */
    private String attendanceTime;

    /**
     * 休息日期
     */
    private String restTime;
}
