package com.mortals.xhx.module.attendance.web;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.attendance.model.AttendanceExportRecordEntity;
import com.mortals.xhx.module.attendance.service.AttendanceExportRecordService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 导入导出记录
*
* @author zxfei
* @date 2023-04-17
*/
@RestController
@RequestMapping("attendance/export/record")
public class AttendanceExportRecordController extends BaseCRUDJsonBodyMappingController<AttendanceExportRecordService,AttendanceExportRecordEntity,Long> {

    @Autowired
    private ParamService paramService;

    public AttendanceExportRecordController(){
        super.setModuleDesc( "导入导出记录");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "exportOrImport", paramService.getParamBySecondOrganize("AttendanceExportRecord","exportOrImport"));
        this.addDict(model, "type", paramService.getParamBySecondOrganize("AttendanceExportRecord","type"));
        super.init(model, context);
    }


}
