package com.mortals.xhx.module.attendance.web;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.attendance.model.AttendanceGroupFixedworkSpecialEntity;
import com.mortals.xhx.module.attendance.service.AttendanceGroupFixedworkSpecialService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 考勤组考勤固定班制特殊日期配置
*
* @author zxfei
* @date 2023-04-08
*/
@RestController
@RequestMapping("attendance/group/fixedwork/special")
public class AttendanceGroupFixedworkSpecialController extends BaseCRUDJsonBodyMappingController<AttendanceGroupFixedworkSpecialService,AttendanceGroupFixedworkSpecialEntity,Long> {

    @Autowired
    private ParamService paramService;

    public AttendanceGroupFixedworkSpecialController(){
        super.setModuleDesc( "考勤组考勤固定班制特殊日期配置");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "must", paramService.getParamBySecondOrganize("AttendanceGroupFixedworkSpecial","must"));
        this.addDict(model, "addWay", paramService.getParamBySecondOrganize("AttendanceGroupFixedworkSpecial","addWay"));
        super.init(model, context);
    }


}