package com.mortals.xhx.module.check.dao.ibatis;


import com.mortals.xhx.module.check.model.vo.StaffCheckSummaryQuery;
import com.mortals.xhx.module.check.model.vo.StaffCheckSummaryVo;
import com.mortals.xhx.module.dept.model.DeptPerformStatEntity;
import com.mortals.xhx.module.staff.model.StaffPerformStatEntity;
import org.springframework.stereotype.Repository;
import com.mortals.xhx.module.check.dao.CheckComplainRecordDao;
import com.mortals.xhx.module.check.model.CheckComplainRecordEntity;
import java.util.Date;
import com.mortals.framework.dao.ibatis.BaseCRUDDaoMybatis;
import java.util.List;
/**
* 评价绩效投诉核查信息DaoImpl DAO接口
*
* @author zxfei
* @date 2023-07-11
*/
@Repository("checkComplainRecordDao")
public class CheckComplainRecordDaoImpl extends BaseCRUDDaoMybatis<CheckComplainRecordEntity,Long> implements CheckComplainRecordDao {


    @Override
    public List<StaffCheckSummaryVo> summaryCheck(StaffCheckSummaryQuery query) {
        return this.getSqlSession().selectList(this.getSqlId("getSummaryCheckList"), query);
    }

    @Override
    public List<StaffPerformStatEntity> getStaffPerformStat(StaffCheckSummaryQuery query) {
        return this.getSqlSession().selectList(this.getSqlId("getStaffPerformStat"), query);
    }

    @Override
    public List<DeptPerformStatEntity> getDeptPerformStat(StaffCheckSummaryQuery query) {
        return this.getSqlSession().selectList(this.getSqlId("getDeptPerformStat"), query);
    }
}
