package com.mortals.xhx.module.dept.dao.ibatis;


import com.mortals.xhx.module.dept.model.vo.DeptSummaryTopQuery;
import org.springframework.stereotype.Repository;
import com.mortals.xhx.module.dept.dao.DeptPerformStatDao;
import com.mortals.xhx.module.dept.model.DeptPerformStatEntity;
import java.util.Date;
import com.mortals.framework.dao.ibatis.BaseCRUDDaoMybatis;
import java.util.List;
/**
* 部门绩效分数统计DaoImpl DAO接口
*
* @author zxfei
* @date 2023-05-16
*/
@Repository("deptPerformStatDao")
public class DeptPerformStatDaoImpl extends BaseCRUDDaoMybatis<DeptPerformStatEntity,Long> implements DeptPerformStatDao {


    @Override
    public List<DeptPerformStatEntity> getDaySummaryList(DeptSummaryTopQuery query) {
        return this.getSqlSession().selectList(this.getSqlId("getDaySummaryList"), query);
    }

    @Override
    public List<DeptPerformStatEntity> getMonthSummaryList(DeptSummaryTopQuery query) {
        return this.getSqlSession().selectList(this.getSqlId("getMonthSummaryList"), query);
    }

    @Override
    public List<DeptPerformStatEntity> getYearSummaryList(DeptSummaryTopQuery query) {
        return this.getSqlSession().selectList(this.getSqlId("getYearSummaryList"), query);
    }
}
