package com.mortals.xhx.module.dept.service;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.dept.model.DeptPerformStatEntity;
import com.mortals.xhx.module.dept.dao.DeptPerformStatDao;
import com.mortals.xhx.module.dept.model.vo.DeptSummaryTopQuery;

import java.util.List;

/**
* DeptPerformStatService
*
* 部门绩效分数统计 service接口
*
* @author zxfei
* @date 2023-05-16
*/
public interface DeptPerformStatService extends ICRUDService<DeptPerformStatEntity,Long>{

    DeptPerformStatDao getDao();

    /**
     * 获取部门绩效排行榜
     * @param query
     * @return
     */
    List<DeptPerformStatEntity> getSummaryTopList(DeptSummaryTopQuery query) throws AppException;

}