package com.mortals.xhx.module.feedback.model.vo;

import lombok.Data;

import java.util.Date;

/**
 * 问卷反馈人员信息视图
 */
@Data
public class FeedbackStaffInfoVo {
    /**
     * 反馈问卷id号
     */
    private Long feedbackId;
    /**
     * 用户id
     */
    private Long staffId;
    /**
     * 员工姓名
     */
    private String name;
    /**
     * 所属部门Id
     */
    private Long deptId;
    /**
     * 所属部门名称
     */
    private String deptName;
    /**
     * 职位名称
     */
    private String positionName;
    /**
     * 反馈状态，0：未反馈，1：已反馈
     */
    private Integer backStatus;
    /**
     * 反馈时间
     */
    private Date backTime;
}
