package com.mortals.xhx.module.feedback.model.vo;

import lombok.Data;

import java.util.Date;

/**
 * 问卷问题反馈详情视图
 */
@Data
public class QuestionAnswerVo {
    /**
     * 问题id号
     */
    private Long questionId;
    /**
     * 反馈问卷id号
     */
    private Long feedbackId;
    /**
     * 问题内容
     */
    private String question;
    /**
     * 问题类型 (1.单项选择,2.多项选择,3.文本框,4.多项文本框,5.文字,6.上传附件)
     */
    private Integer questionType;
    /**
     * 用户id
     */
    private Long staffId;
    /**
     * 员工姓名
     */
    private String name;
    /**
     * 回答内容
     */
    private String answer;
    /**
     * 反馈时间
     */
    private Date backTime;
}
