package com.mortals.xhx.module.hik.door.model.req.door;

import com.alibaba.fastjson.annotation.JSONField;
import com.mortals.xhx.module.hik.BaseReq;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;


@Data
public class DoorEventReq extends BaseReq implements Serializable {

    /**
     * 当前页
     */
    private Integer pageNo;

    /**
     * 每页大小
     */
    private Integer pageSize;


    private String doorName;
    private String sort;
    /**
     * 事件类型，参考[附录D2.1 门禁事件]
     * @[软件产品-综合安防管理平台-附录-附录D 事件列表-附录D2 一卡通事件-附录D2.1 门禁事件]
     */
    private List<Integer> eventTypes;
    private List<String> readerDevIndexCodes;
    private String personName;
    private String doorRegionIndexCode;
    @JSONField(format = "yyyy-MM-dd'T'HH:mm:ssXXX")
    private Date receiveStartTime;
    @JSONField(format = "yyyy-MM-dd'T'HH:mm:ssXXX")
    private Date receiveEndTime;
    @JSONField(format = "yyyy-MM-dd'T'HH:mm:ssXXX")
    private Date startTime;
    @JSONField(format = "yyyy-MM-dd'T'HH:mm:ssXXX")
    private Date endTime;
    private List<String> doorIndexCodes;
    private String order;


}
