package com.mortals.xhx.module.perform.model.vo;

import com.mortals.framework.model.BaseEntityLong;
import lombok.Data;

import java.util.Date;
/**
* 绩效记录申诉信息视图对象
*
* @author zxfei
* @date 2023-07-12
*/
@Data
public class PerformAttendAppealVo extends BaseEntityLong {

    /**
     * 时间
     */
    private String appealTimeStart;
    /**
     * 统计类型(1.申诉次数部门排名,2.申诉次数个人排名,3.申诉次数规则排名)
     */
    private Integer statType;

    private String categoryName;

    private String performTypeStr;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

}