package com.mortals.xhx.module.perform.model.vo;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.perform.model.PerformRulesEntity;
import java.util.ArrayList;
import java.util.List;

import com.mortals.xhx.module.perform.model.PerformRulesQuery;
import lombok.Data;
/**
* 绩效规则信息视图对象
*
* @author zxfei
* @date 2023-05-16
*/
@Data
public class PerformRulesVo extends BaseEntityLong {
    /** 类型名称 **/
    private String typeName;

    /** 规则编码，唯一,默认规则类型内容简称拼音首字母。排除列表 */
    private List <String> ruleCodeNotList;
    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<PerformRulesQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<PerformRulesQuery> andConditionList;


}