package com.mortals.xhx.module.perform.service;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.perform.model.PerformDeptConfDetailEntity;
import com.mortals.xhx.module.perform.dao.PerformDeptConfDetailDao;
/**
* PerformDeptConfDetailService
*
* 部门考核内容详细信息 service接口
*
* @author zxfei
* @date 2023-05-16
*/
public interface PerformDeptConfDetailService extends ICRUDService<PerformDeptConfDetailEntity,Long>{

    PerformDeptConfDetailDao getDao();

    /**
     * 启用停用规则
     * @param id
     * @return
     * @throws AppException
     */
    int enable(Long id, Context context) throws AppException;
}