package com.mortals.xhx.module.perform.service;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.perform.model.PerformReviewRecordEntity;
import com.mortals.xhx.module.perform.dao.PerformReviewRecordDao;
/**
* PerformReviewRecordService
*
* 评价差评绩效记录信息 service接口
*
* @author zxfei
* @date 2023-07-11
*/
public interface PerformReviewRecordService extends ICRUDService<PerformReviewRecordEntity,Long>{

    PerformReviewRecordDao getDao();

    /**
     * 修改处理状态
     * @param id
     * @param status
     * @throws AppException
     */
    void updateProcessStatus(Long id,Integer status) throws AppException;

}