package com.mortals.xhx.module.staff.service;

import com.mortals.framework.service.ICRUDCacheService;
import com.mortals.xhx.module.staff.model.StaffEntity;
import com.mortals.xhx.module.staff.model.vo.StaffInfoVo;

import java.util.List;

/**
* StaffService
*
* 员工基本信息 service接口
*
* @author zxfei
* @date 2023-04-07
*/
public interface StaffService extends ICRUDCacheService<StaffEntity,Long> {

    //查询所有数据
    StaffInfoVo queryAll();
    //统计所有在职员工
    int queryAllPerson();
}