package com.mortals.xhx.busiz.h5.req;

import com.mortals.framework.annotation.Excel;
import com.mortals.xhx.busiz.BaseReq;
import com.mortals.xhx.module.perform.model.PerformAttendAppealFilesEntity;
import lombok.Data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;


@Data
public class AppealReq extends BaseReq {

    //申诉开始时间
    private String apperalStartDate;
    //申诉结束时间
    private String appealEndDate;

    //类型
    private String performType;

    private Integer appealResult;

    private Integer processStatus;

    /**
     * 当前员工id
     */
    private Long staffId;

    /**
     * 核查记录id
     */
    private Long Id;

    /**
     * 申诉说明
     */
    private String appealDesc;

    /**
     * 绩效记录申诉附件信息信息
     */
    private List<PerformAttendAppealFilesEntity> performAttendAppealFilesList = new ArrayList<>();
    ;

    private  Long checkRecordId;

}
