package com.mortals.xhx.busiz.h5.rsp;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class AppealDetailInfo {

    /**
     * id
     */
    private Long id;

    /**
     * 记录ID
     */
    private Long recordId;
    /**
     * 员工ID
     */
    private Long staffId;
    /**
     * 员工姓名
     */
    private String staffName;
    /**
     * 工号
     */
    private String workNum;
    /**
     * 所属部门
     */
    private Long deptId;
    /**
     * 所属部门名称
     */
    private String deptName;
    /**
     * 所属考勤组ID
     */
    private Long attendanceGroupId;
    /**
     * 所属考勤组名称
     */
    private String attendanceGroupName;
    /**
     * 考勤时间
     */
    private Date attendanceDate;
    /**
     * 绩效规则id
     */
    private Long ruleId;
    /**
     * 规则名称
     */
    private String ruleName;
    /**
     * 增减类型(1.增加,2.扣除)
     */
    private Integer subAddType;
    /**
     * 扣分或增加分值
     */
    private BigDecimal score;
    /**
     * 上下班时间
     */
    private String goOffTimeStr;
    /**
     * 异常时间
     */
    private Date errorTime;
    /**
     * 实际打卡时间
     */
    private Date actualAttendTime;
    /**
     * 异常处理结果
     */
    private String errorResult;
    /**
     * 核查人员
     */
    private String checkPerson;
    /**
     * 核查时间
     */
    private Date checkTime;
    /**
     * 核查说明
     */
    private String checkDesc;
    /**
     * 核查结果
     */
    private String checkResult;
    /**
     * 处理状态(1.未处理,2.已处理)
     */
    private Integer checkStatus;
    /**
     * 扣分方式(1.系统自动,2.人工添加,3.大厅巡查)
     */
    private Integer subMethod;
    /**
     * 说明
     */
    private String remark;




    /**
     * 评价结果(1.非常不满意,2.差评)
     */
    private Integer reviewResult;
    /**
     * 评价时间
     */
    private Date reviewTime;

    /**
     * 评价来源(窗口评价系统,导视系统,自助服务系统,微官网,其它)
     */
    private String reviewSource;
    /**
     * 评价设备
     */
    private String reviewDevice;

    /**
     * 投诉标题
     */
    private String complainTitle;
    /**
     * 投诉内容
     */
    private String complainContent;
    /**
     * 投诉人真实姓名
     */
    private String complainRealName;
    /**
     * 联系电话
     */
    private String contact;
    /**
     * 投诉时间
     */
    private Date complainTime;
    /**
     * 投诉来源
     */
    private String complainSource;
    /**
     * 投诉设备
     */
    private String complainDevice;

    /**
     * 办件编码
     */
    private String goworkCode;
    /**
     * 办件所属部门
     */
    private String goworkDepts;
    /**
     * 事项名称
     */
    private String matterlName;
    /**
     * 办理时间
     */
    private Date goworkTime;


    /**
     * 违规类型(1.脱岗,2.离岗,3.玩手机,4.睡觉)
     */
    private Integer irregularType;
    /**
     * 发生时间
     */
    private Date happenTime;
    /**
     * 持续时间，秒
     */
    private Integer duration;
    /**
     * 报警时间
     */
    private Date alarmTime;
    /**
     * 图片凭证地址
     */
    private String snapPath;

    /**
     * 窗口编号
     */
    private String windowNum;
    /**
     * 违规类型(1.工作纪律)
     */
    private Integer irregularOtherType;



    /**
     * 附件名称，多个逗号分割
     */
    private String fileNames;
    /**
     * 附件下载地址，多个逗号分割
     */
    private String filePaths;

}
