package com.mortals.xhx.module.attendance.model;

import java.math.BigDecimal;
import java.util.List;
import com.mortals.xhx.module.attendance.model.AttendanceStatEntity;
/**
 * 考勤汇总信息查询对象
 *
 * @author zxfei
 * @date 2023-07-18
 */
public class AttendanceStatQuery extends AttendanceStatEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 窗口类别 */
    private List<String> windowCategoryList;

    /** 窗口类别排除列表 */
    private List <String> windowCategoryNotList;
    /** 开始 员工ID */
    private Long staffIdStart;

    /** 结束 员工ID */
    private Long staffIdEnd;

    /** 增加 员工ID */
    private Long staffIdIncrement;

    /** 员工ID列表 */
    private List <Long> staffIdList;

    /** 员工ID排除列表 */
    private List <Long> staffIdNotList;

    /** 员工姓名 */
    private List<String> staffNameList;

    /** 员工姓名排除列表 */
    private List <String> staffNameNotList;
    /** 开始 所属部门 */
    private Long deptIdStart;

    /** 结束 所属部门 */
    private Long deptIdEnd;

    /** 增加 所属部门 */
    private Long deptIdIncrement;

    /** 所属部门列表 */
    private List <Long> deptIdList;

    /** 所属部门排除列表 */
    private List <Long> deptIdNotList;

    /** 所属部门名称 */
    private List<String> deptNameList;

    /** 所属部门名称排除列表 */
    private List <String> deptNameNotList;
    /** 开始 回单位（天） */
    private BigDecimal backToUnitStart;

    /** 结束 回单位（天） */
    private BigDecimal backToUnitEnd;

    /** 增加 回单位（天） */
    private BigDecimal backToUnitIncrement;

    /** 回单位（天）列表 */
    private List <BigDecimal> backToUnitList;

    /** 回单位（天）排除列表 */
    private List <BigDecimal> backToUnitNotList;

    /** 开始 因公请假（天） */
    private BigDecimal onDutyLeaveStart;

    /** 结束 因公请假（天） */
    private BigDecimal onDutyLeaveEnd;

    /** 增加 因公请假（天） */
    private BigDecimal onDutyLeaveIncrement;

    /** 因公请假（天）列表 */
    private List <BigDecimal> onDutyLeaveList;

    /** 因公请假（天）排除列表 */
    private List <BigDecimal> onDutyLeaveNotList;

    /** 开始 外出勘验（天） */
    private BigDecimal outOfOfficeStart;

    /** 结束 外出勘验（天） */
    private BigDecimal outOfOfficeEnd;

    /** 增加 外出勘验（天） */
    private BigDecimal outOfOfficeIncrement;

    /** 外出勘验（天）列表 */
    private List <BigDecimal> outOfOfficeList;

    /** 外出勘验（天）排除列表 */
    private List <BigDecimal> outOfOfficeNotList;

    /** 开始 值班补班（天） */
    private BigDecimal shiftCompensationStart;

    /** 结束 值班补班（天） */
    private BigDecimal shiftCompensationEnd;

    /** 增加 值班补班（天） */
    private BigDecimal shiftCompensationIncrement;

    /** 值班补班（天）列表 */
    private List <BigDecimal> shiftCompensationList;

    /** 值班补班（天）排除列表 */
    private List <BigDecimal> shiftCompensationNotList;

    /** 开始 体检（天） */
    private BigDecimal physicalExaminationStart;

    /** 结束 体检（天） */
    private BigDecimal physicalExaminationEnd;

    /** 增加 体检（天） */
    private BigDecimal physicalExaminationIncrement;

    /** 体检（天）列表 */
    private List <BigDecimal> physicalExaminationList;

    /** 体检（天）排除列表 */
    private List <BigDecimal> physicalExaminationNotList;

    /** 开始 隔离（天） */
    private BigDecimal quarantineStart;

    /** 结束 隔离（天） */
    private BigDecimal quarantineEnd;

    /** 增加 隔离（天） */
    private BigDecimal quarantineIncrement;

    /** 隔离（天）列表 */
    private List <BigDecimal> quarantineList;

    /** 隔离（天）排除列表 */
    private List <BigDecimal> quarantineNotList;

    /** 开始 因公外出（与窗口工作无关/天） */
    private BigDecimal businessTripStart;

    /** 结束 因公外出（与窗口工作无关/天） */
    private BigDecimal businessTripEnd;

    /** 增加 因公外出（与窗口工作无关/天） */
    private BigDecimal businessTripIncrement;

    /** 因公外出（与窗口工作无关/天）列表 */
    private List <BigDecimal> businessTripList;

    /** 因公外出（与窗口工作无关/天）排除列表 */
    private List <BigDecimal> businessTripNotList;

    /** 开始 公休（天） */
    private BigDecimal publicHolidayStart;

    /** 结束 公休（天） */
    private BigDecimal publicHolidayEnd;

    /** 增加 公休（天） */
    private BigDecimal publicHolidayIncrement;

    /** 公休（天）列表 */
    private List <BigDecimal> publicHolidayList;

    /** 公休（天）排除列表 */
    private List <BigDecimal> publicHolidayNotList;

    /** 开始 病假（天） */
    private BigDecimal sickLeaveStart;

    /** 结束 病假（天） */
    private BigDecimal sickLeaveEnd;

    /** 增加 病假（天） */
    private BigDecimal sickLeaveIncrement;

    /** 病假（天）列表 */
    private List <BigDecimal> sickLeaveList;

    /** 病假（天）排除列表 */
    private List <BigDecimal> sickLeaveNotList;

    /** 开始 丧假（天） */
    private BigDecimal funeralLeaveStart;

    /** 结束 丧假（天） */
    private BigDecimal funeralLeaveEnd;

    /** 增加 丧假（天） */
    private BigDecimal funeralLeaveIncrement;

    /** 丧假（天）列表 */
    private List <BigDecimal> funeralLeaveList;

    /** 丧假（天）排除列表 */
    private List <BigDecimal> funeralLeaveNotList;

    /** 开始 婚假（天） */
    private BigDecimal marriageLeaveStart;

    /** 结束 婚假（天） */
    private BigDecimal marriageLeaveEnd;

    /** 增加 婚假（天） */
    private BigDecimal marriageLeaveIncrement;

    /** 婚假（天）列表 */
    private List <BigDecimal> marriageLeaveList;

    /** 婚假（天）排除列表 */
    private List <BigDecimal> marriageLeaveNotList;

    /** 开始 育儿假（天） */
    private BigDecimal childRearingLeaveStart;

    /** 结束 育儿假（天） */
    private BigDecimal childRearingLeaveEnd;

    /** 增加 育儿假（天） */
    private BigDecimal childRearingLeaveIncrement;

    /** 育儿假（天）列表 */
    private List <BigDecimal> childRearingLeaveList;

    /** 育儿假（天）排除列表 */
    private List <BigDecimal> childRearingLeaveNotList;

    /** 开始 产假（天）） */
    private BigDecimal maternityLeaveStart;

    /** 结束 产假（天）） */
    private BigDecimal maternityLeaveEnd;

    /** 增加 产假（天）） */
    private BigDecimal maternityLeaveIncrement;

    /** 产假（天））列表 */
    private List <BigDecimal> maternityLeaveList;

    /** 产假（天））排除列表 */
    private List <BigDecimal> maternityLeaveNotList;

    /** 开始 调回单位（或离职/天） */
    private BigDecimal transferBackStart;

    /** 结束 调回单位（或离职/天） */
    private BigDecimal transferBackEnd;

    /** 增加 调回单位（或离职/天） */
    private BigDecimal transferBackIncrement;

    /** 调回单位（或离职/天）列表 */
    private List <BigDecimal> transferBackList;

    /** 调回单位（或离职/天）排除列表 */
    private List <BigDecimal> transferBackNotList;

    /** 开始 探亲假（天） */
    private BigDecimal homeLeaveStart;

    /** 结束 探亲假（天） */
    private BigDecimal homeLeaveEnd;

    /** 增加 探亲假（天） */
    private BigDecimal homeLeaveIncrement;

    /** 探亲假（天）列表 */
    private List <BigDecimal> homeLeaveList;

    /** 探亲假（天）排除列表 */
    private List <BigDecimal> homeLeaveNotList;

    /** 开始 事假（天） */
    private BigDecimal personalLeaveStart;

    /** 结束 事假（天） */
    private BigDecimal personalLeaveEnd;

    /** 增加 事假（天） */
    private BigDecimal personalLeaveIncrement;

    /** 事假（天）列表 */
    private List <BigDecimal> personalLeaveList;

    /** 事假（天）排除列表 */
    private List <BigDecimal> personalLeaveNotList;

    /** 开始 考勤汇总-旷工（天） */
    private BigDecimal absenteeismDaysStart;

    /** 结束 考勤汇总-旷工（天） */
    private BigDecimal absenteeismDaysEnd;

    /** 增加 考勤汇总-旷工（天） */
    private BigDecimal absenteeismDaysIncrement;

    /** 考勤汇总-旷工（天）列表 */
    private List <BigDecimal> absenteeismDaysList;

    /** 考勤汇总-旷工（天）排除列表 */
    private List <BigDecimal> absenteeismDaysNotList;

    /** 开始 考勤汇总-其他（天） */
    private BigDecimal otherDaysStart;

    /** 结束 考勤汇总-其他（天） */
    private BigDecimal otherDaysEnd;

    /** 增加 考勤汇总-其他（天） */
    private BigDecimal otherDaysIncrement;

    /** 考勤汇总-其他（天）列表 */
    private List <BigDecimal> otherDaysList;

    /** 考勤汇总-其他（天）排除列表 */
    private List <BigDecimal> otherDaysNotList;

    /** 开始 考勤汇总-出勤率（%） */
    private BigDecimal attendanceRateStart;

    /** 结束 考勤汇总-出勤率（%） */
    private BigDecimal attendanceRateEnd;

    /** 增加 考勤汇总-出勤率（%） */
    private BigDecimal attendanceRateIncrement;

    /** 考勤汇总-出勤率（%）列表 */
    private List <BigDecimal> attendanceRateList;

    /** 考勤汇总-出勤率（%）排除列表 */
    private List <BigDecimal> attendanceRateNotList;

    /** 开始 考勤汇总-未按规定打卡（含忘记打卡） */
    private BigDecimal nonCompliancePunchStart;

    /** 结束 考勤汇总-未按规定打卡（含忘记打卡） */
    private BigDecimal nonCompliancePunchEnd;

    /** 增加 考勤汇总-未按规定打卡（含忘记打卡） */
    private BigDecimal nonCompliancePunchIncrement;

    /** 考勤汇总-未按规定打卡（含忘记打卡）列表 */
    private List <BigDecimal> nonCompliancePunchList;

    /** 考勤汇总-未按规定打卡（含忘记打卡）排除列表 */
    private List <BigDecimal> nonCompliancePunchNotList;

    /** 开始 考勤汇总-迟到（次） */
    private Integer lateTimesStart;

    /** 结束 考勤汇总-迟到（次） */
    private Integer lateTimesEnd;

    /** 增加 考勤汇总-迟到（次） */
    private Integer lateTimesIncrement;

    /** 考勤汇总-迟到（次）列表 */
    private List <Integer> lateTimesList;

    /** 考勤汇总-迟到（次）排除列表 */
    private List <Integer> lateTimesNotList;

    /** 开始 考勤汇总-上网耍手机（次） */
    private Integer surfingMobileTimesStart;

    /** 结束 考勤汇总-上网耍手机（次） */
    private Integer surfingMobileTimesEnd;

    /** 增加 考勤汇总-上网耍手机（次） */
    private Integer surfingMobileTimesIncrement;

    /** 考勤汇总-上网耍手机（次）列表 */
    private List <Integer> surfingMobileTimesList;

    /** 考勤汇总-上网耍手机（次）排除列表 */
    private List <Integer> surfingMobileTimesNotList;

    /** 开始 考勤汇总-溜班（次） */
    private Integer overtimeTimesStart;

    /** 结束 考勤汇总-溜班（次） */
    private Integer overtimeTimesEnd;

    /** 增加 考勤汇总-溜班（次） */
    private Integer overtimeTimesIncrement;

    /** 考勤汇总-溜班（次）列表 */
    private List <Integer> overtimeTimesList;

    /** 考勤汇总-溜班（次）排除列表 */
    private List <Integer> overtimeTimesNotList;

    /** 开始 考勤汇总-空岗 */
    private BigDecimal vacancyStart;

    /** 结束 考勤汇总-空岗 */
    private BigDecimal vacancyEnd;

    /** 增加 考勤汇总-空岗 */
    private BigDecimal vacancyIncrement;

    /** 考勤汇总-空岗列表 */
    private List <BigDecimal> vacancyList;

    /** 考勤汇总-空岗排除列表 */
    private List <BigDecimal> vacancyNotList;

    /** 开始 考勤汇总-未规范着装（次） */
    private Integer nonStandardDressTimesStart;

    /** 结束 考勤汇总-未规范着装（次） */
    private Integer nonStandardDressTimesEnd;

    /** 增加 考勤汇总-未规范着装（次） */
    private Integer nonStandardDressTimesIncrement;

    /** 考勤汇总-未规范着装（次）列表 */
    private List <Integer> nonStandardDressTimesList;

    /** 考勤汇总-未规范着装（次）排除列表 */
    private List <Integer> nonStandardDressTimesNotList;

    /** 开始 考勤汇总-无故缺席会议 */
    private BigDecimal unexcusedMeetingAbsenceStart;

    /** 结束 考勤汇总-无故缺席会议 */
    private BigDecimal unexcusedMeetingAbsenceEnd;

    /** 增加 考勤汇总-无故缺席会议 */
    private BigDecimal unexcusedMeetingAbsenceIncrement;

    /** 考勤汇总-无故缺席会议列表 */
    private List <BigDecimal> unexcusedMeetingAbsenceList;

    /** 考勤汇总-无故缺席会议排除列表 */
    private List <BigDecimal> unexcusedMeetingAbsenceNotList;

    /** 开始 考勤汇总-会议早退 */
    private BigDecimal earlyLeaveMeetingStart;

    /** 结束 考勤汇总-会议早退 */
    private BigDecimal earlyLeaveMeetingEnd;

    /** 增加 考勤汇总-会议早退 */
    private BigDecimal earlyLeaveMeetingIncrement;

    /** 考勤汇总-会议早退列表 */
    private List <BigDecimal> earlyLeaveMeetingList;

    /** 考勤汇总-会议早退排除列表 */
    private List <BigDecimal> earlyLeaveMeetingNotList;

    /** 开始 年 */
    private Integer yearStart;

    /** 结束 年 */
    private Integer yearEnd;

    /** 增加 年 */
    private Integer yearIncrement;

    /** 年列表 */
    private List <Integer> yearList;

    /** 年排除列表 */
    private List <Integer> yearNotList;

    /** 开始 月 */
    private Integer monthStart;

    /** 结束 月 */
    private Integer monthEnd;

    /** 增加 月 */
    private Integer monthIncrement;

    /** 月列表 */
    private List <Integer> monthList;

    /** 月排除列表 */
    private List <Integer> monthNotList;

    /** 开始 日 */
    private Integer dayStart;

    /** 结束 日 */
    private Integer dayEnd;

    /** 增加 日 */
    private Integer dayIncrement;

    /** 日列表 */
    private List <Integer> dayList;

    /** 日排除列表 */
    private List <Integer> dayNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 开始 哺乳假（天） */
    private BigDecimal breastfeedingLeaveDaysStart;

    /** 结束 哺乳假（天） */
    private BigDecimal breastfeedingLeaveDaysEnd;

    /** 增加 哺乳假（天） */
    private BigDecimal breastfeedingLeaveDaysIncrement;

    /** 哺乳假（天）列表 */
    private List <BigDecimal> breastfeedingLeaveDaysList;

    /** 哺乳假（天）排除列表 */
    private List <BigDecimal> breastfeedingLeaveDaysNotList;

    /** 开始 例假（天） */
    private BigDecimal menstrualLeaveDaysStart;

    /** 结束 例假（天） */
    private BigDecimal menstrualLeaveDaysEnd;

    /** 增加 例假（天） */
    private BigDecimal menstrualLeaveDaysIncrement;

    /** 例假（天）列表 */
    private List <BigDecimal> menstrualLeaveDaysList;

    /** 例假（天）排除列表 */
    private List <BigDecimal> menstrualLeaveDaysNotList;

    /** 开始 年假（天） */
    private BigDecimal annualLeaveDaysStart;

    /** 结束 年假（天） */
    private BigDecimal annualLeaveDaysEnd;

    /** 增加 年假（天） */
    private BigDecimal annualLeaveDaysIncrement;

    /** 年假（天）列表 */
    private List <BigDecimal> annualLeaveDaysList;

    /** 年假（天）排除列表 */
    private List <BigDecimal> annualLeaveDaysNotList;

    /** 开始 调休（天） */
    private BigDecimal compensatedLeaveDaysStart;

    /** 结束 调休（天） */
    private BigDecimal compensatedLeaveDaysEnd;

    /** 增加 调休（天） */
    private BigDecimal compensatedLeaveDaysIncrement;

    /** 调休（天）列表 */
    private List <BigDecimal> compensatedLeaveDaysList;

    /** 调休（天）排除列表 */
    private List <BigDecimal> compensatedLeaveDaysNotList;

    /** 开始 陪产假（天） */
    private BigDecimal paternityLeaveDaysStart;

    /** 结束 陪产假（天） */
    private BigDecimal paternityLeaveDaysEnd;

    /** 增加 陪产假（天） */
    private BigDecimal paternityLeaveDaysIncrement;

    /** 陪产假（天）列表 */
    private List <BigDecimal> paternityLeaveDaysList;

    /** 陪产假（天）排除列表 */
    private List <BigDecimal> paternityLeaveDaysNotList;

    /** 手机号码 */
    private List<String> phoneNumerList;

    /** 手机号码排除列表 */
    private List <String> phoneNumerNotList;
    /** 开始 出勤天数 */
    private Integer goTimesStart;

    /** 结束 出勤天数 */
    private Integer goTimesEnd;

    /** 增加 出勤天数 */
    private Integer goTimesIncrement;

    /** 出勤天数列表 */
    private List <Integer> goTimesList;

    /** 出勤天数排除列表 */
    private List <Integer> goTimesNotList;

    /** 开始 上午缺卡次数 */
    private Integer morningTimesStart;

    /** 结束 上午缺卡次数 */
    private Integer morningTimesEnd;

    /** 增加 上午缺卡次数 */
    private Integer morningTimesIncrement;

    /** 上午缺卡次数列表 */
    private List <Integer> morningTimesList;

    /** 上午缺卡次数排除列表 */
    private List <Integer> morningTimesNotList;

    /** 开始 下午缺卡次数 */
    private Integer afternoonTimesStart;

    /** 结束 下午缺卡次数 */
    private Integer afternoonTimesEnd;

    /** 增加 下午缺卡次数 */
    private Integer afternoonTimesIncrement;

    /** 下午缺卡次数列表 */
    private List <Integer> afternoonTimesList;

    /** 下午缺卡次数排除列表 */
    private List <Integer> afternoonTimesNotList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<AttendanceStatQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<AttendanceStatQuery> andConditionList;

    public AttendanceStatQuery(){}

    /**
     * 获取 开始 序号，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 序号，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 序号，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 窗口类别
     * @return windowCategoryList
     */
    public List<String> getWindowCategoryList(){
        return this.windowCategoryList;
    }

    /**
     * 设置 窗口类别
     * @param windowCategoryList
     */
    public void setWindowCategoryList(List<String> windowCategoryList){
        this.windowCategoryList = windowCategoryList;
    }

    /**
     * 获取 窗口类别
     * @return windowCategoryNotList
     */
    public List<String> getWindowCategoryNotList(){
        return this.windowCategoryNotList;
    }

    /**
     * 设置 窗口类别
     * @param windowCategoryNotList
     */
    public void setWindowCategoryNotList(List<String> windowCategoryNotList){
        this.windowCategoryNotList = windowCategoryNotList;
    }

    /**
     * 获取 开始 员工ID
     * @return staffIdStart
     */
    public Long getStaffIdStart(){
        return this.staffIdStart;
    }

    /**
     * 设置 开始 员工ID
     * @param staffIdStart
     */
    public void setStaffIdStart(Long staffIdStart){
        this.staffIdStart = staffIdStart;
    }

    /**
     * 获取 结束 员工ID
     * @return $staffIdEnd
     */
    public Long getStaffIdEnd(){
        return this.staffIdEnd;
    }

    /**
     * 设置 结束 员工ID
     * @param staffIdEnd
     */
    public void setStaffIdEnd(Long staffIdEnd){
        this.staffIdEnd = staffIdEnd;
    }

    /**
     * 获取 增加 员工ID
     * @return staffIdIncrement
     */
    public Long getStaffIdIncrement(){
        return this.staffIdIncrement;
    }

    /**
     * 设置 增加 员工ID
     * @param staffIdIncrement
     */
    public void setStaffIdIncrement(Long staffIdIncrement){
        this.staffIdIncrement = staffIdIncrement;
    }

    /**
     * 获取 员工ID
     * @return staffIdList
     */
    public List<Long> getStaffIdList(){
        return this.staffIdList;
    }

    /**
     * 设置 员工ID
     * @param staffIdList
     */
    public void setStaffIdList(List<Long> staffIdList){
        this.staffIdList = staffIdList;
    }

    /**
     * 获取 员工ID
     * @return staffIdNotList
     */
    public List<Long> getStaffIdNotList(){
        return this.staffIdNotList;
    }

    /**
     * 设置 员工ID
     * @param staffIdNotList
     */
    public void setStaffIdNotList(List<Long> staffIdNotList){
        this.staffIdNotList = staffIdNotList;
    }


    /**
     * 获取 员工姓名
     * @return staffNameList
     */
    public List<String> getStaffNameList(){
        return this.staffNameList;
    }

    /**
     * 设置 员工姓名
     * @param staffNameList
     */
    public void setStaffNameList(List<String> staffNameList){
        this.staffNameList = staffNameList;
    }

    /**
     * 获取 员工姓名
     * @return staffNameNotList
     */
    public List<String> getStaffNameNotList(){
        return this.staffNameNotList;
    }

    /**
     * 设置 员工姓名
     * @param staffNameNotList
     */
    public void setStaffNameNotList(List<String> staffNameNotList){
        this.staffNameNotList = staffNameNotList;
    }

    /**
     * 获取 开始 所属部门
     * @return deptIdStart
     */
    public Long getDeptIdStart(){
        return this.deptIdStart;
    }

    /**
     * 设置 开始 所属部门
     * @param deptIdStart
     */
    public void setDeptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
    }

    /**
     * 获取 结束 所属部门
     * @return $deptIdEnd
     */
    public Long getDeptIdEnd(){
        return this.deptIdEnd;
    }

    /**
     * 设置 结束 所属部门
     * @param deptIdEnd
     */
    public void setDeptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
    }

    /**
     * 获取 增加 所属部门
     * @return deptIdIncrement
     */
    public Long getDeptIdIncrement(){
        return this.deptIdIncrement;
    }

    /**
     * 设置 增加 所属部门
     * @param deptIdIncrement
     */
    public void setDeptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
    }

    /**
     * 获取 所属部门
     * @return deptIdList
     */
    public List<Long> getDeptIdList(){
        return this.deptIdList;
    }

    /**
     * 设置 所属部门
     * @param deptIdList
     */
    public void setDeptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
    }

    /**
     * 获取 所属部门
     * @return deptIdNotList
     */
    public List<Long> getDeptIdNotList(){
        return this.deptIdNotList;
    }

    /**
     * 设置 所属部门
     * @param deptIdNotList
     */
    public void setDeptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
    }


    /**
     * 获取 所属部门名称
     * @return deptNameList
     */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
     * 设置 所属部门名称
     * @param deptNameList
     */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }

    /**
     * 获取 所属部门名称
     * @return deptNameNotList
     */
    public List<String> getDeptNameNotList(){
        return this.deptNameNotList;
    }

    /**
     * 设置 所属部门名称
     * @param deptNameNotList
     */
    public void setDeptNameNotList(List<String> deptNameNotList){
        this.deptNameNotList = deptNameNotList;
    }

    /**
     * 获取 开始 回单位（天）
     * @return backToUnitStart
     */
    public BigDecimal getBackToUnitStart(){
        return this.backToUnitStart;
    }

    /**
     * 设置 开始 回单位（天）
     * @param backToUnitStart
     */
    public void setBackToUnitStart(BigDecimal backToUnitStart){
        this.backToUnitStart = backToUnitStart;
    }

    /**
     * 获取 结束 回单位（天）
     * @return $backToUnitEnd
     */
    public BigDecimal getBackToUnitEnd(){
        return this.backToUnitEnd;
    }

    /**
     * 设置 结束 回单位（天）
     * @param backToUnitEnd
     */
    public void setBackToUnitEnd(BigDecimal backToUnitEnd){
        this.backToUnitEnd = backToUnitEnd;
    }

    /**
     * 获取 增加 回单位（天）
     * @return backToUnitIncrement
     */
    public BigDecimal getBackToUnitIncrement(){
        return this.backToUnitIncrement;
    }

    /**
     * 设置 增加 回单位（天）
     * @param backToUnitIncrement
     */
    public void setBackToUnitIncrement(BigDecimal backToUnitIncrement){
        this.backToUnitIncrement = backToUnitIncrement;
    }

    /**
     * 获取 回单位（天）
     * @return backToUnitList
     */
    public List<BigDecimal> getBackToUnitList(){
        return this.backToUnitList;
    }

    /**
     * 设置 回单位（天）
     * @param backToUnitList
     */
    public void setBackToUnitList(List<BigDecimal> backToUnitList){
        this.backToUnitList = backToUnitList;
    }

    /**
     * 获取 回单位（天）
     * @return backToUnitNotList
     */
    public List<BigDecimal> getBackToUnitNotList(){
        return this.backToUnitNotList;
    }

    /**
     * 设置 回单位（天）
     * @param backToUnitNotList
     */
    public void setBackToUnitNotList(List<BigDecimal> backToUnitNotList){
        this.backToUnitNotList = backToUnitNotList;
    }


    /**
     * 获取 开始 因公请假（天）
     * @return onDutyLeaveStart
     */
    public BigDecimal getOnDutyLeaveStart(){
        return this.onDutyLeaveStart;
    }

    /**
     * 设置 开始 因公请假（天）
     * @param onDutyLeaveStart
     */
    public void setOnDutyLeaveStart(BigDecimal onDutyLeaveStart){
        this.onDutyLeaveStart = onDutyLeaveStart;
    }

    /**
     * 获取 结束 因公请假（天）
     * @return $onDutyLeaveEnd
     */
    public BigDecimal getOnDutyLeaveEnd(){
        return this.onDutyLeaveEnd;
    }

    /**
     * 设置 结束 因公请假（天）
     * @param onDutyLeaveEnd
     */
    public void setOnDutyLeaveEnd(BigDecimal onDutyLeaveEnd){
        this.onDutyLeaveEnd = onDutyLeaveEnd;
    }

    /**
     * 获取 增加 因公请假（天）
     * @return onDutyLeaveIncrement
     */
    public BigDecimal getOnDutyLeaveIncrement(){
        return this.onDutyLeaveIncrement;
    }

    /**
     * 设置 增加 因公请假（天）
     * @param onDutyLeaveIncrement
     */
    public void setOnDutyLeaveIncrement(BigDecimal onDutyLeaveIncrement){
        this.onDutyLeaveIncrement = onDutyLeaveIncrement;
    }

    /**
     * 获取 因公请假（天）
     * @return onDutyLeaveList
     */
    public List<BigDecimal> getOnDutyLeaveList(){
        return this.onDutyLeaveList;
    }

    /**
     * 设置 因公请假（天）
     * @param onDutyLeaveList
     */
    public void setOnDutyLeaveList(List<BigDecimal> onDutyLeaveList){
        this.onDutyLeaveList = onDutyLeaveList;
    }

    /**
     * 获取 因公请假（天）
     * @return onDutyLeaveNotList
     */
    public List<BigDecimal> getOnDutyLeaveNotList(){
        return this.onDutyLeaveNotList;
    }

    /**
     * 设置 因公请假（天）
     * @param onDutyLeaveNotList
     */
    public void setOnDutyLeaveNotList(List<BigDecimal> onDutyLeaveNotList){
        this.onDutyLeaveNotList = onDutyLeaveNotList;
    }


    /**
     * 获取 开始 外出勘验（天）
     * @return outOfOfficeStart
     */
    public BigDecimal getOutOfOfficeStart(){
        return this.outOfOfficeStart;
    }

    /**
     * 设置 开始 外出勘验（天）
     * @param outOfOfficeStart
     */
    public void setOutOfOfficeStart(BigDecimal outOfOfficeStart){
        this.outOfOfficeStart = outOfOfficeStart;
    }

    /**
     * 获取 结束 外出勘验（天）
     * @return $outOfOfficeEnd
     */
    public BigDecimal getOutOfOfficeEnd(){
        return this.outOfOfficeEnd;
    }

    /**
     * 设置 结束 外出勘验（天）
     * @param outOfOfficeEnd
     */
    public void setOutOfOfficeEnd(BigDecimal outOfOfficeEnd){
        this.outOfOfficeEnd = outOfOfficeEnd;
    }

    /**
     * 获取 增加 外出勘验（天）
     * @return outOfOfficeIncrement
     */
    public BigDecimal getOutOfOfficeIncrement(){
        return this.outOfOfficeIncrement;
    }

    /**
     * 设置 增加 外出勘验（天）
     * @param outOfOfficeIncrement
     */
    public void setOutOfOfficeIncrement(BigDecimal outOfOfficeIncrement){
        this.outOfOfficeIncrement = outOfOfficeIncrement;
    }

    /**
     * 获取 外出勘验（天）
     * @return outOfOfficeList
     */
    public List<BigDecimal> getOutOfOfficeList(){
        return this.outOfOfficeList;
    }

    /**
     * 设置 外出勘验（天）
     * @param outOfOfficeList
     */
    public void setOutOfOfficeList(List<BigDecimal> outOfOfficeList){
        this.outOfOfficeList = outOfOfficeList;
    }

    /**
     * 获取 外出勘验（天）
     * @return outOfOfficeNotList
     */
    public List<BigDecimal> getOutOfOfficeNotList(){
        return this.outOfOfficeNotList;
    }

    /**
     * 设置 外出勘验（天）
     * @param outOfOfficeNotList
     */
    public void setOutOfOfficeNotList(List<BigDecimal> outOfOfficeNotList){
        this.outOfOfficeNotList = outOfOfficeNotList;
    }


    /**
     * 获取 开始 值班补班（天）
     * @return shiftCompensationStart
     */
    public BigDecimal getShiftCompensationStart(){
        return this.shiftCompensationStart;
    }

    /**
     * 设置 开始 值班补班（天）
     * @param shiftCompensationStart
     */
    public void setShiftCompensationStart(BigDecimal shiftCompensationStart){
        this.shiftCompensationStart = shiftCompensationStart;
    }

    /**
     * 获取 结束 值班补班（天）
     * @return $shiftCompensationEnd
     */
    public BigDecimal getShiftCompensationEnd(){
        return this.shiftCompensationEnd;
    }

    /**
     * 设置 结束 值班补班（天）
     * @param shiftCompensationEnd
     */
    public void setShiftCompensationEnd(BigDecimal shiftCompensationEnd){
        this.shiftCompensationEnd = shiftCompensationEnd;
    }

    /**
     * 获取 增加 值班补班（天）
     * @return shiftCompensationIncrement
     */
    public BigDecimal getShiftCompensationIncrement(){
        return this.shiftCompensationIncrement;
    }

    /**
     * 设置 增加 值班补班（天）
     * @param shiftCompensationIncrement
     */
    public void setShiftCompensationIncrement(BigDecimal shiftCompensationIncrement){
        this.shiftCompensationIncrement = shiftCompensationIncrement;
    }

    /**
     * 获取 值班补班（天）
     * @return shiftCompensationList
     */
    public List<BigDecimal> getShiftCompensationList(){
        return this.shiftCompensationList;
    }

    /**
     * 设置 值班补班（天）
     * @param shiftCompensationList
     */
    public void setShiftCompensationList(List<BigDecimal> shiftCompensationList){
        this.shiftCompensationList = shiftCompensationList;
    }

    /**
     * 获取 值班补班（天）
     * @return shiftCompensationNotList
     */
    public List<BigDecimal> getShiftCompensationNotList(){
        return this.shiftCompensationNotList;
    }

    /**
     * 设置 值班补班（天）
     * @param shiftCompensationNotList
     */
    public void setShiftCompensationNotList(List<BigDecimal> shiftCompensationNotList){
        this.shiftCompensationNotList = shiftCompensationNotList;
    }


    /**
     * 获取 开始 体检（天）
     * @return physicalExaminationStart
     */
    public BigDecimal getPhysicalExaminationStart(){
        return this.physicalExaminationStart;
    }

    /**
     * 设置 开始 体检（天）
     * @param physicalExaminationStart
     */
    public void setPhysicalExaminationStart(BigDecimal physicalExaminationStart){
        this.physicalExaminationStart = physicalExaminationStart;
    }

    /**
     * 获取 结束 体检（天）
     * @return $physicalExaminationEnd
     */
    public BigDecimal getPhysicalExaminationEnd(){
        return this.physicalExaminationEnd;
    }

    /**
     * 设置 结束 体检（天）
     * @param physicalExaminationEnd
     */
    public void setPhysicalExaminationEnd(BigDecimal physicalExaminationEnd){
        this.physicalExaminationEnd = physicalExaminationEnd;
    }

    /**
     * 获取 增加 体检（天）
     * @return physicalExaminationIncrement
     */
    public BigDecimal getPhysicalExaminationIncrement(){
        return this.physicalExaminationIncrement;
    }

    /**
     * 设置 增加 体检（天）
     * @param physicalExaminationIncrement
     */
    public void setPhysicalExaminationIncrement(BigDecimal physicalExaminationIncrement){
        this.physicalExaminationIncrement = physicalExaminationIncrement;
    }

    /**
     * 获取 体检（天）
     * @return physicalExaminationList
     */
    public List<BigDecimal> getPhysicalExaminationList(){
        return this.physicalExaminationList;
    }

    /**
     * 设置 体检（天）
     * @param physicalExaminationList
     */
    public void setPhysicalExaminationList(List<BigDecimal> physicalExaminationList){
        this.physicalExaminationList = physicalExaminationList;
    }

    /**
     * 获取 体检（天）
     * @return physicalExaminationNotList
     */
    public List<BigDecimal> getPhysicalExaminationNotList(){
        return this.physicalExaminationNotList;
    }

    /**
     * 设置 体检（天）
     * @param physicalExaminationNotList
     */
    public void setPhysicalExaminationNotList(List<BigDecimal> physicalExaminationNotList){
        this.physicalExaminationNotList = physicalExaminationNotList;
    }


    /**
     * 获取 开始 隔离（天）
     * @return quarantineStart
     */
    public BigDecimal getQuarantineStart(){
        return this.quarantineStart;
    }

    /**
     * 设置 开始 隔离（天）
     * @param quarantineStart
     */
    public void setQuarantineStart(BigDecimal quarantineStart){
        this.quarantineStart = quarantineStart;
    }

    /**
     * 获取 结束 隔离（天）
     * @return $quarantineEnd
     */
    public BigDecimal getQuarantineEnd(){
        return this.quarantineEnd;
    }

    /**
     * 设置 结束 隔离（天）
     * @param quarantineEnd
     */
    public void setQuarantineEnd(BigDecimal quarantineEnd){
        this.quarantineEnd = quarantineEnd;
    }

    /**
     * 获取 增加 隔离（天）
     * @return quarantineIncrement
     */
    public BigDecimal getQuarantineIncrement(){
        return this.quarantineIncrement;
    }

    /**
     * 设置 增加 隔离（天）
     * @param quarantineIncrement
     */
    public void setQuarantineIncrement(BigDecimal quarantineIncrement){
        this.quarantineIncrement = quarantineIncrement;
    }

    /**
     * 获取 隔离（天）
     * @return quarantineList
     */
    public List<BigDecimal> getQuarantineList(){
        return this.quarantineList;
    }

    /**
     * 设置 隔离（天）
     * @param quarantineList
     */
    public void setQuarantineList(List<BigDecimal> quarantineList){
        this.quarantineList = quarantineList;
    }

    /**
     * 获取 隔离（天）
     * @return quarantineNotList
     */
    public List<BigDecimal> getQuarantineNotList(){
        return this.quarantineNotList;
    }

    /**
     * 设置 隔离（天）
     * @param quarantineNotList
     */
    public void setQuarantineNotList(List<BigDecimal> quarantineNotList){
        this.quarantineNotList = quarantineNotList;
    }


    /**
     * 获取 开始 因公外出（与窗口工作无关/天）
     * @return businessTripStart
     */
    public BigDecimal getBusinessTripStart(){
        return this.businessTripStart;
    }

    /**
     * 设置 开始 因公外出（与窗口工作无关/天）
     * @param businessTripStart
     */
    public void setBusinessTripStart(BigDecimal businessTripStart){
        this.businessTripStart = businessTripStart;
    }

    /**
     * 获取 结束 因公外出（与窗口工作无关/天）
     * @return $businessTripEnd
     */
    public BigDecimal getBusinessTripEnd(){
        return this.businessTripEnd;
    }

    /**
     * 设置 结束 因公外出（与窗口工作无关/天）
     * @param businessTripEnd
     */
    public void setBusinessTripEnd(BigDecimal businessTripEnd){
        this.businessTripEnd = businessTripEnd;
    }

    /**
     * 获取 增加 因公外出（与窗口工作无关/天）
     * @return businessTripIncrement
     */
    public BigDecimal getBusinessTripIncrement(){
        return this.businessTripIncrement;
    }

    /**
     * 设置 增加 因公外出（与窗口工作无关/天）
     * @param businessTripIncrement
     */
    public void setBusinessTripIncrement(BigDecimal businessTripIncrement){
        this.businessTripIncrement = businessTripIncrement;
    }

    /**
     * 获取 因公外出（与窗口工作无关/天）
     * @return businessTripList
     */
    public List<BigDecimal> getBusinessTripList(){
        return this.businessTripList;
    }

    /**
     * 设置 因公外出（与窗口工作无关/天）
     * @param businessTripList
     */
    public void setBusinessTripList(List<BigDecimal> businessTripList){
        this.businessTripList = businessTripList;
    }

    /**
     * 获取 因公外出（与窗口工作无关/天）
     * @return businessTripNotList
     */
    public List<BigDecimal> getBusinessTripNotList(){
        return this.businessTripNotList;
    }

    /**
     * 设置 因公外出（与窗口工作无关/天）
     * @param businessTripNotList
     */
    public void setBusinessTripNotList(List<BigDecimal> businessTripNotList){
        this.businessTripNotList = businessTripNotList;
    }


    /**
     * 获取 开始 公休（天）
     * @return publicHolidayStart
     */
    public BigDecimal getPublicHolidayStart(){
        return this.publicHolidayStart;
    }

    /**
     * 设置 开始 公休（天）
     * @param publicHolidayStart
     */
    public void setPublicHolidayStart(BigDecimal publicHolidayStart){
        this.publicHolidayStart = publicHolidayStart;
    }

    /**
     * 获取 结束 公休（天）
     * @return $publicHolidayEnd
     */
    public BigDecimal getPublicHolidayEnd(){
        return this.publicHolidayEnd;
    }

    /**
     * 设置 结束 公休（天）
     * @param publicHolidayEnd
     */
    public void setPublicHolidayEnd(BigDecimal publicHolidayEnd){
        this.publicHolidayEnd = publicHolidayEnd;
    }

    /**
     * 获取 增加 公休（天）
     * @return publicHolidayIncrement
     */
    public BigDecimal getPublicHolidayIncrement(){
        return this.publicHolidayIncrement;
    }

    /**
     * 设置 增加 公休（天）
     * @param publicHolidayIncrement
     */
    public void setPublicHolidayIncrement(BigDecimal publicHolidayIncrement){
        this.publicHolidayIncrement = publicHolidayIncrement;
    }

    /**
     * 获取 公休（天）
     * @return publicHolidayList
     */
    public List<BigDecimal> getPublicHolidayList(){
        return this.publicHolidayList;
    }

    /**
     * 设置 公休（天）
     * @param publicHolidayList
     */
    public void setPublicHolidayList(List<BigDecimal> publicHolidayList){
        this.publicHolidayList = publicHolidayList;
    }

    /**
     * 获取 公休（天）
     * @return publicHolidayNotList
     */
    public List<BigDecimal> getPublicHolidayNotList(){
        return this.publicHolidayNotList;
    }

    /**
     * 设置 公休（天）
     * @param publicHolidayNotList
     */
    public void setPublicHolidayNotList(List<BigDecimal> publicHolidayNotList){
        this.publicHolidayNotList = publicHolidayNotList;
    }


    /**
     * 获取 开始 病假（天）
     * @return sickLeaveStart
     */
    public BigDecimal getSickLeaveStart(){
        return this.sickLeaveStart;
    }

    /**
     * 设置 开始 病假（天）
     * @param sickLeaveStart
     */
    public void setSickLeaveStart(BigDecimal sickLeaveStart){
        this.sickLeaveStart = sickLeaveStart;
    }

    /**
     * 获取 结束 病假（天）
     * @return $sickLeaveEnd
     */
    public BigDecimal getSickLeaveEnd(){
        return this.sickLeaveEnd;
    }

    /**
     * 设置 结束 病假（天）
     * @param sickLeaveEnd
     */
    public void setSickLeaveEnd(BigDecimal sickLeaveEnd){
        this.sickLeaveEnd = sickLeaveEnd;
    }

    /**
     * 获取 增加 病假（天）
     * @return sickLeaveIncrement
     */
    public BigDecimal getSickLeaveIncrement(){
        return this.sickLeaveIncrement;
    }

    /**
     * 设置 增加 病假（天）
     * @param sickLeaveIncrement
     */
    public void setSickLeaveIncrement(BigDecimal sickLeaveIncrement){
        this.sickLeaveIncrement = sickLeaveIncrement;
    }

    /**
     * 获取 病假（天）
     * @return sickLeaveList
     */
    public List<BigDecimal> getSickLeaveList(){
        return this.sickLeaveList;
    }

    /**
     * 设置 病假（天）
     * @param sickLeaveList
     */
    public void setSickLeaveList(List<BigDecimal> sickLeaveList){
        this.sickLeaveList = sickLeaveList;
    }

    /**
     * 获取 病假（天）
     * @return sickLeaveNotList
     */
    public List<BigDecimal> getSickLeaveNotList(){
        return this.sickLeaveNotList;
    }

    /**
     * 设置 病假（天）
     * @param sickLeaveNotList
     */
    public void setSickLeaveNotList(List<BigDecimal> sickLeaveNotList){
        this.sickLeaveNotList = sickLeaveNotList;
    }


    /**
     * 获取 开始 丧假（天）
     * @return funeralLeaveStart
     */
    public BigDecimal getFuneralLeaveStart(){
        return this.funeralLeaveStart;
    }

    /**
     * 设置 开始 丧假（天）
     * @param funeralLeaveStart
     */
    public void setFuneralLeaveStart(BigDecimal funeralLeaveStart){
        this.funeralLeaveStart = funeralLeaveStart;
    }

    /**
     * 获取 结束 丧假（天）
     * @return $funeralLeaveEnd
     */
    public BigDecimal getFuneralLeaveEnd(){
        return this.funeralLeaveEnd;
    }

    /**
     * 设置 结束 丧假（天）
     * @param funeralLeaveEnd
     */
    public void setFuneralLeaveEnd(BigDecimal funeralLeaveEnd){
        this.funeralLeaveEnd = funeralLeaveEnd;
    }

    /**
     * 获取 增加 丧假（天）
     * @return funeralLeaveIncrement
     */
    public BigDecimal getFuneralLeaveIncrement(){
        return this.funeralLeaveIncrement;
    }

    /**
     * 设置 增加 丧假（天）
     * @param funeralLeaveIncrement
     */
    public void setFuneralLeaveIncrement(BigDecimal funeralLeaveIncrement){
        this.funeralLeaveIncrement = funeralLeaveIncrement;
    }

    /**
     * 获取 丧假（天）
     * @return funeralLeaveList
     */
    public List<BigDecimal> getFuneralLeaveList(){
        return this.funeralLeaveList;
    }

    /**
     * 设置 丧假（天）
     * @param funeralLeaveList
     */
    public void setFuneralLeaveList(List<BigDecimal> funeralLeaveList){
        this.funeralLeaveList = funeralLeaveList;
    }

    /**
     * 获取 丧假（天）
     * @return funeralLeaveNotList
     */
    public List<BigDecimal> getFuneralLeaveNotList(){
        return this.funeralLeaveNotList;
    }

    /**
     * 设置 丧假（天）
     * @param funeralLeaveNotList
     */
    public void setFuneralLeaveNotList(List<BigDecimal> funeralLeaveNotList){
        this.funeralLeaveNotList = funeralLeaveNotList;
    }


    /**
     * 获取 开始 婚假（天）
     * @return marriageLeaveStart
     */
    public BigDecimal getMarriageLeaveStart(){
        return this.marriageLeaveStart;
    }

    /**
     * 设置 开始 婚假（天）
     * @param marriageLeaveStart
     */
    public void setMarriageLeaveStart(BigDecimal marriageLeaveStart){
        this.marriageLeaveStart = marriageLeaveStart;
    }

    /**
     * 获取 结束 婚假（天）
     * @return $marriageLeaveEnd
     */
    public BigDecimal getMarriageLeaveEnd(){
        return this.marriageLeaveEnd;
    }

    /**
     * 设置 结束 婚假（天）
     * @param marriageLeaveEnd
     */
    public void setMarriageLeaveEnd(BigDecimal marriageLeaveEnd){
        this.marriageLeaveEnd = marriageLeaveEnd;
    }

    /**
     * 获取 增加 婚假（天）
     * @return marriageLeaveIncrement
     */
    public BigDecimal getMarriageLeaveIncrement(){
        return this.marriageLeaveIncrement;
    }

    /**
     * 设置 增加 婚假（天）
     * @param marriageLeaveIncrement
     */
    public void setMarriageLeaveIncrement(BigDecimal marriageLeaveIncrement){
        this.marriageLeaveIncrement = marriageLeaveIncrement;
    }

    /**
     * 获取 婚假（天）
     * @return marriageLeaveList
     */
    public List<BigDecimal> getMarriageLeaveList(){
        return this.marriageLeaveList;
    }

    /**
     * 设置 婚假（天）
     * @param marriageLeaveList
     */
    public void setMarriageLeaveList(List<BigDecimal> marriageLeaveList){
        this.marriageLeaveList = marriageLeaveList;
    }

    /**
     * 获取 婚假（天）
     * @return marriageLeaveNotList
     */
    public List<BigDecimal> getMarriageLeaveNotList(){
        return this.marriageLeaveNotList;
    }

    /**
     * 设置 婚假（天）
     * @param marriageLeaveNotList
     */
    public void setMarriageLeaveNotList(List<BigDecimal> marriageLeaveNotList){
        this.marriageLeaveNotList = marriageLeaveNotList;
    }


    /**
     * 获取 开始 育儿假（天）
     * @return childRearingLeaveStart
     */
    public BigDecimal getChildRearingLeaveStart(){
        return this.childRearingLeaveStart;
    }

    /**
     * 设置 开始 育儿假（天）
     * @param childRearingLeaveStart
     */
    public void setChildRearingLeaveStart(BigDecimal childRearingLeaveStart){
        this.childRearingLeaveStart = childRearingLeaveStart;
    }

    /**
     * 获取 结束 育儿假（天）
     * @return $childRearingLeaveEnd
     */
    public BigDecimal getChildRearingLeaveEnd(){
        return this.childRearingLeaveEnd;
    }

    /**
     * 设置 结束 育儿假（天）
     * @param childRearingLeaveEnd
     */
    public void setChildRearingLeaveEnd(BigDecimal childRearingLeaveEnd){
        this.childRearingLeaveEnd = childRearingLeaveEnd;
    }

    /**
     * 获取 增加 育儿假（天）
     * @return childRearingLeaveIncrement
     */
    public BigDecimal getChildRearingLeaveIncrement(){
        return this.childRearingLeaveIncrement;
    }

    /**
     * 设置 增加 育儿假（天）
     * @param childRearingLeaveIncrement
     */
    public void setChildRearingLeaveIncrement(BigDecimal childRearingLeaveIncrement){
        this.childRearingLeaveIncrement = childRearingLeaveIncrement;
    }

    /**
     * 获取 育儿假（天）
     * @return childRearingLeaveList
     */
    public List<BigDecimal> getChildRearingLeaveList(){
        return this.childRearingLeaveList;
    }

    /**
     * 设置 育儿假（天）
     * @param childRearingLeaveList
     */
    public void setChildRearingLeaveList(List<BigDecimal> childRearingLeaveList){
        this.childRearingLeaveList = childRearingLeaveList;
    }

    /**
     * 获取 育儿假（天）
     * @return childRearingLeaveNotList
     */
    public List<BigDecimal> getChildRearingLeaveNotList(){
        return this.childRearingLeaveNotList;
    }

    /**
     * 设置 育儿假（天）
     * @param childRearingLeaveNotList
     */
    public void setChildRearingLeaveNotList(List<BigDecimal> childRearingLeaveNotList){
        this.childRearingLeaveNotList = childRearingLeaveNotList;
    }


    /**
     * 获取 开始 产假（天））
     * @return maternityLeaveStart
     */
    public BigDecimal getMaternityLeaveStart(){
        return this.maternityLeaveStart;
    }

    /**
     * 设置 开始 产假（天））
     * @param maternityLeaveStart
     */
    public void setMaternityLeaveStart(BigDecimal maternityLeaveStart){
        this.maternityLeaveStart = maternityLeaveStart;
    }

    /**
     * 获取 结束 产假（天））
     * @return $maternityLeaveEnd
     */
    public BigDecimal getMaternityLeaveEnd(){
        return this.maternityLeaveEnd;
    }

    /**
     * 设置 结束 产假（天））
     * @param maternityLeaveEnd
     */
    public void setMaternityLeaveEnd(BigDecimal maternityLeaveEnd){
        this.maternityLeaveEnd = maternityLeaveEnd;
    }

    /**
     * 获取 增加 产假（天））
     * @return maternityLeaveIncrement
     */
    public BigDecimal getMaternityLeaveIncrement(){
        return this.maternityLeaveIncrement;
    }

    /**
     * 设置 增加 产假（天））
     * @param maternityLeaveIncrement
     */
    public void setMaternityLeaveIncrement(BigDecimal maternityLeaveIncrement){
        this.maternityLeaveIncrement = maternityLeaveIncrement;
    }

    /**
     * 获取 产假（天））
     * @return maternityLeaveList
     */
    public List<BigDecimal> getMaternityLeaveList(){
        return this.maternityLeaveList;
    }

    /**
     * 设置 产假（天））
     * @param maternityLeaveList
     */
    public void setMaternityLeaveList(List<BigDecimal> maternityLeaveList){
        this.maternityLeaveList = maternityLeaveList;
    }

    /**
     * 获取 产假（天））
     * @return maternityLeaveNotList
     */
    public List<BigDecimal> getMaternityLeaveNotList(){
        return this.maternityLeaveNotList;
    }

    /**
     * 设置 产假（天））
     * @param maternityLeaveNotList
     */
    public void setMaternityLeaveNotList(List<BigDecimal> maternityLeaveNotList){
        this.maternityLeaveNotList = maternityLeaveNotList;
    }


    /**
     * 获取 开始 调回单位（或离职/天）
     * @return transferBackStart
     */
    public BigDecimal getTransferBackStart(){
        return this.transferBackStart;
    }

    /**
     * 设置 开始 调回单位（或离职/天）
     * @param transferBackStart
     */
    public void setTransferBackStart(BigDecimal transferBackStart){
        this.transferBackStart = transferBackStart;
    }

    /**
     * 获取 结束 调回单位（或离职/天）
     * @return $transferBackEnd
     */
    public BigDecimal getTransferBackEnd(){
        return this.transferBackEnd;
    }

    /**
     * 设置 结束 调回单位（或离职/天）
     * @param transferBackEnd
     */
    public void setTransferBackEnd(BigDecimal transferBackEnd){
        this.transferBackEnd = transferBackEnd;
    }

    /**
     * 获取 增加 调回单位（或离职/天）
     * @return transferBackIncrement
     */
    public BigDecimal getTransferBackIncrement(){
        return this.transferBackIncrement;
    }

    /**
     * 设置 增加 调回单位（或离职/天）
     * @param transferBackIncrement
     */
    public void setTransferBackIncrement(BigDecimal transferBackIncrement){
        this.transferBackIncrement = transferBackIncrement;
    }

    /**
     * 获取 调回单位（或离职/天）
     * @return transferBackList
     */
    public List<BigDecimal> getTransferBackList(){
        return this.transferBackList;
    }

    /**
     * 设置 调回单位（或离职/天）
     * @param transferBackList
     */
    public void setTransferBackList(List<BigDecimal> transferBackList){
        this.transferBackList = transferBackList;
    }

    /**
     * 获取 调回单位（或离职/天）
     * @return transferBackNotList
     */
    public List<BigDecimal> getTransferBackNotList(){
        return this.transferBackNotList;
    }

    /**
     * 设置 调回单位（或离职/天）
     * @param transferBackNotList
     */
    public void setTransferBackNotList(List<BigDecimal> transferBackNotList){
        this.transferBackNotList = transferBackNotList;
    }


    /**
     * 获取 开始 探亲假（天）
     * @return homeLeaveStart
     */
    public BigDecimal getHomeLeaveStart(){
        return this.homeLeaveStart;
    }

    /**
     * 设置 开始 探亲假（天）
     * @param homeLeaveStart
     */
    public void setHomeLeaveStart(BigDecimal homeLeaveStart){
        this.homeLeaveStart = homeLeaveStart;
    }

    /**
     * 获取 结束 探亲假（天）
     * @return $homeLeaveEnd
     */
    public BigDecimal getHomeLeaveEnd(){
        return this.homeLeaveEnd;
    }

    /**
     * 设置 结束 探亲假（天）
     * @param homeLeaveEnd
     */
    public void setHomeLeaveEnd(BigDecimal homeLeaveEnd){
        this.homeLeaveEnd = homeLeaveEnd;
    }

    /**
     * 获取 增加 探亲假（天）
     * @return homeLeaveIncrement
     */
    public BigDecimal getHomeLeaveIncrement(){
        return this.homeLeaveIncrement;
    }

    /**
     * 设置 增加 探亲假（天）
     * @param homeLeaveIncrement
     */
    public void setHomeLeaveIncrement(BigDecimal homeLeaveIncrement){
        this.homeLeaveIncrement = homeLeaveIncrement;
    }

    /**
     * 获取 探亲假（天）
     * @return homeLeaveList
     */
    public List<BigDecimal> getHomeLeaveList(){
        return this.homeLeaveList;
    }

    /**
     * 设置 探亲假（天）
     * @param homeLeaveList
     */
    public void setHomeLeaveList(List<BigDecimal> homeLeaveList){
        this.homeLeaveList = homeLeaveList;
    }

    /**
     * 获取 探亲假（天）
     * @return homeLeaveNotList
     */
    public List<BigDecimal> getHomeLeaveNotList(){
        return this.homeLeaveNotList;
    }

    /**
     * 设置 探亲假（天）
     * @param homeLeaveNotList
     */
    public void setHomeLeaveNotList(List<BigDecimal> homeLeaveNotList){
        this.homeLeaveNotList = homeLeaveNotList;
    }


    /**
     * 获取 开始 事假（天）
     * @return personalLeaveStart
     */
    public BigDecimal getPersonalLeaveStart(){
        return this.personalLeaveStart;
    }

    /**
     * 设置 开始 事假（天）
     * @param personalLeaveStart
     */
    public void setPersonalLeaveStart(BigDecimal personalLeaveStart){
        this.personalLeaveStart = personalLeaveStart;
    }

    /**
     * 获取 结束 事假（天）
     * @return $personalLeaveEnd
     */
    public BigDecimal getPersonalLeaveEnd(){
        return this.personalLeaveEnd;
    }

    /**
     * 设置 结束 事假（天）
     * @param personalLeaveEnd
     */
    public void setPersonalLeaveEnd(BigDecimal personalLeaveEnd){
        this.personalLeaveEnd = personalLeaveEnd;
    }

    /**
     * 获取 增加 事假（天）
     * @return personalLeaveIncrement
     */
    public BigDecimal getPersonalLeaveIncrement(){
        return this.personalLeaveIncrement;
    }

    /**
     * 设置 增加 事假（天）
     * @param personalLeaveIncrement
     */
    public void setPersonalLeaveIncrement(BigDecimal personalLeaveIncrement){
        this.personalLeaveIncrement = personalLeaveIncrement;
    }

    /**
     * 获取 事假（天）
     * @return personalLeaveList
     */
    public List<BigDecimal> getPersonalLeaveList(){
        return this.personalLeaveList;
    }

    /**
     * 设置 事假（天）
     * @param personalLeaveList
     */
    public void setPersonalLeaveList(List<BigDecimal> personalLeaveList){
        this.personalLeaveList = personalLeaveList;
    }

    /**
     * 获取 事假（天）
     * @return personalLeaveNotList
     */
    public List<BigDecimal> getPersonalLeaveNotList(){
        return this.personalLeaveNotList;
    }

    /**
     * 设置 事假（天）
     * @param personalLeaveNotList
     */
    public void setPersonalLeaveNotList(List<BigDecimal> personalLeaveNotList){
        this.personalLeaveNotList = personalLeaveNotList;
    }


    /**
     * 获取 开始 考勤汇总-旷工（天）
     * @return absenteeismDaysStart
     */
    public BigDecimal getAbsenteeismDaysStart(){
        return this.absenteeismDaysStart;
    }

    /**
     * 设置 开始 考勤汇总-旷工（天）
     * @param absenteeismDaysStart
     */
    public void setAbsenteeismDaysStart(BigDecimal absenteeismDaysStart){
        this.absenteeismDaysStart = absenteeismDaysStart;
    }

    /**
     * 获取 结束 考勤汇总-旷工（天）
     * @return $absenteeismDaysEnd
     */
    public BigDecimal getAbsenteeismDaysEnd(){
        return this.absenteeismDaysEnd;
    }

    /**
     * 设置 结束 考勤汇总-旷工（天）
     * @param absenteeismDaysEnd
     */
    public void setAbsenteeismDaysEnd(BigDecimal absenteeismDaysEnd){
        this.absenteeismDaysEnd = absenteeismDaysEnd;
    }

    /**
     * 获取 增加 考勤汇总-旷工（天）
     * @return absenteeismDaysIncrement
     */
    public BigDecimal getAbsenteeismDaysIncrement(){
        return this.absenteeismDaysIncrement;
    }

    /**
     * 设置 增加 考勤汇总-旷工（天）
     * @param absenteeismDaysIncrement
     */
    public void setAbsenteeismDaysIncrement(BigDecimal absenteeismDaysIncrement){
        this.absenteeismDaysIncrement = absenteeismDaysIncrement;
    }

    /**
     * 获取 考勤汇总-旷工（天）
     * @return absenteeismDaysList
     */
    public List<BigDecimal> getAbsenteeismDaysList(){
        return this.absenteeismDaysList;
    }

    /**
     * 设置 考勤汇总-旷工（天）
     * @param absenteeismDaysList
     */
    public void setAbsenteeismDaysList(List<BigDecimal> absenteeismDaysList){
        this.absenteeismDaysList = absenteeismDaysList;
    }

    /**
     * 获取 考勤汇总-旷工（天）
     * @return absenteeismDaysNotList
     */
    public List<BigDecimal> getAbsenteeismDaysNotList(){
        return this.absenteeismDaysNotList;
    }

    /**
     * 设置 考勤汇总-旷工（天）
     * @param absenteeismDaysNotList
     */
    public void setAbsenteeismDaysNotList(List<BigDecimal> absenteeismDaysNotList){
        this.absenteeismDaysNotList = absenteeismDaysNotList;
    }


    /**
     * 获取 开始 考勤汇总-其他（天）
     * @return otherDaysStart
     */
    public BigDecimal getOtherDaysStart(){
        return this.otherDaysStart;
    }

    /**
     * 设置 开始 考勤汇总-其他（天）
     * @param otherDaysStart
     */
    public void setOtherDaysStart(BigDecimal otherDaysStart){
        this.otherDaysStart = otherDaysStart;
    }

    /**
     * 获取 结束 考勤汇总-其他（天）
     * @return $otherDaysEnd
     */
    public BigDecimal getOtherDaysEnd(){
        return this.otherDaysEnd;
    }

    /**
     * 设置 结束 考勤汇总-其他（天）
     * @param otherDaysEnd
     */
    public void setOtherDaysEnd(BigDecimal otherDaysEnd){
        this.otherDaysEnd = otherDaysEnd;
    }

    /**
     * 获取 增加 考勤汇总-其他（天）
     * @return otherDaysIncrement
     */
    public BigDecimal getOtherDaysIncrement(){
        return this.otherDaysIncrement;
    }

    /**
     * 设置 增加 考勤汇总-其他（天）
     * @param otherDaysIncrement
     */
    public void setOtherDaysIncrement(BigDecimal otherDaysIncrement){
        this.otherDaysIncrement = otherDaysIncrement;
    }

    /**
     * 获取 考勤汇总-其他（天）
     * @return otherDaysList
     */
    public List<BigDecimal> getOtherDaysList(){
        return this.otherDaysList;
    }

    /**
     * 设置 考勤汇总-其他（天）
     * @param otherDaysList
     */
    public void setOtherDaysList(List<BigDecimal> otherDaysList){
        this.otherDaysList = otherDaysList;
    }

    /**
     * 获取 考勤汇总-其他（天）
     * @return otherDaysNotList
     */
    public List<BigDecimal> getOtherDaysNotList(){
        return this.otherDaysNotList;
    }

    /**
     * 设置 考勤汇总-其他（天）
     * @param otherDaysNotList
     */
    public void setOtherDaysNotList(List<BigDecimal> otherDaysNotList){
        this.otherDaysNotList = otherDaysNotList;
    }


    /**
     * 获取 开始 考勤汇总-出勤率（%）
     * @return attendanceRateStart
     */
    public BigDecimal getAttendanceRateStart(){
        return this.attendanceRateStart;
    }

    /**
     * 设置 开始 考勤汇总-出勤率（%）
     * @param attendanceRateStart
     */
    public void setAttendanceRateStart(BigDecimal attendanceRateStart){
        this.attendanceRateStart = attendanceRateStart;
    }

    /**
     * 获取 结束 考勤汇总-出勤率（%）
     * @return $attendanceRateEnd
     */
    public BigDecimal getAttendanceRateEnd(){
        return this.attendanceRateEnd;
    }

    /**
     * 设置 结束 考勤汇总-出勤率（%）
     * @param attendanceRateEnd
     */
    public void setAttendanceRateEnd(BigDecimal attendanceRateEnd){
        this.attendanceRateEnd = attendanceRateEnd;
    }

    /**
     * 获取 增加 考勤汇总-出勤率（%）
     * @return attendanceRateIncrement
     */
    public BigDecimal getAttendanceRateIncrement(){
        return this.attendanceRateIncrement;
    }

    /**
     * 设置 增加 考勤汇总-出勤率（%）
     * @param attendanceRateIncrement
     */
    public void setAttendanceRateIncrement(BigDecimal attendanceRateIncrement){
        this.attendanceRateIncrement = attendanceRateIncrement;
    }

    /**
     * 获取 考勤汇总-出勤率（%）
     * @return attendanceRateList
     */
    public List<BigDecimal> getAttendanceRateList(){
        return this.attendanceRateList;
    }

    /**
     * 设置 考勤汇总-出勤率（%）
     * @param attendanceRateList
     */
    public void setAttendanceRateList(List<BigDecimal> attendanceRateList){
        this.attendanceRateList = attendanceRateList;
    }

    /**
     * 获取 考勤汇总-出勤率（%）
     * @return attendanceRateNotList
     */
    public List<BigDecimal> getAttendanceRateNotList(){
        return this.attendanceRateNotList;
    }

    /**
     * 设置 考勤汇总-出勤率（%）
     * @param attendanceRateNotList
     */
    public void setAttendanceRateNotList(List<BigDecimal> attendanceRateNotList){
        this.attendanceRateNotList = attendanceRateNotList;
    }


    /**
     * 获取 开始 考勤汇总-未按规定打卡（含忘记打卡）
     * @return nonCompliancePunchStart
     */
    public BigDecimal getNonCompliancePunchStart(){
        return this.nonCompliancePunchStart;
    }

    /**
     * 设置 开始 考勤汇总-未按规定打卡（含忘记打卡）
     * @param nonCompliancePunchStart
     */
    public void setNonCompliancePunchStart(BigDecimal nonCompliancePunchStart){
        this.nonCompliancePunchStart = nonCompliancePunchStart;
    }

    /**
     * 获取 结束 考勤汇总-未按规定打卡（含忘记打卡）
     * @return $nonCompliancePunchEnd
     */
    public BigDecimal getNonCompliancePunchEnd(){
        return this.nonCompliancePunchEnd;
    }

    /**
     * 设置 结束 考勤汇总-未按规定打卡（含忘记打卡）
     * @param nonCompliancePunchEnd
     */
    public void setNonCompliancePunchEnd(BigDecimal nonCompliancePunchEnd){
        this.nonCompliancePunchEnd = nonCompliancePunchEnd;
    }

    /**
     * 获取 增加 考勤汇总-未按规定打卡（含忘记打卡）
     * @return nonCompliancePunchIncrement
     */
    public BigDecimal getNonCompliancePunchIncrement(){
        return this.nonCompliancePunchIncrement;
    }

    /**
     * 设置 增加 考勤汇总-未按规定打卡（含忘记打卡）
     * @param nonCompliancePunchIncrement
     */
    public void setNonCompliancePunchIncrement(BigDecimal nonCompliancePunchIncrement){
        this.nonCompliancePunchIncrement = nonCompliancePunchIncrement;
    }

    /**
     * 获取 考勤汇总-未按规定打卡（含忘记打卡）
     * @return nonCompliancePunchList
     */
    public List<BigDecimal> getNonCompliancePunchList(){
        return this.nonCompliancePunchList;
    }

    /**
     * 设置 考勤汇总-未按规定打卡（含忘记打卡）
     * @param nonCompliancePunchList
     */
    public void setNonCompliancePunchList(List<BigDecimal> nonCompliancePunchList){
        this.nonCompliancePunchList = nonCompliancePunchList;
    }

    /**
     * 获取 考勤汇总-未按规定打卡（含忘记打卡）
     * @return nonCompliancePunchNotList
     */
    public List<BigDecimal> getNonCompliancePunchNotList(){
        return this.nonCompliancePunchNotList;
    }

    /**
     * 设置 考勤汇总-未按规定打卡（含忘记打卡）
     * @param nonCompliancePunchNotList
     */
    public void setNonCompliancePunchNotList(List<BigDecimal> nonCompliancePunchNotList){
        this.nonCompliancePunchNotList = nonCompliancePunchNotList;
    }


    /**
     * 获取 开始 考勤汇总-迟到（次）
     * @return lateTimesStart
     */
    public Integer getLateTimesStart(){
        return this.lateTimesStart;
    }

    /**
     * 设置 开始 考勤汇总-迟到（次）
     * @param lateTimesStart
     */
    public void setLateTimesStart(Integer lateTimesStart){
        this.lateTimesStart = lateTimesStart;
    }

    /**
     * 获取 结束 考勤汇总-迟到（次）
     * @return $lateTimesEnd
     */
    public Integer getLateTimesEnd(){
        return this.lateTimesEnd;
    }

    /**
     * 设置 结束 考勤汇总-迟到（次）
     * @param lateTimesEnd
     */
    public void setLateTimesEnd(Integer lateTimesEnd){
        this.lateTimesEnd = lateTimesEnd;
    }

    /**
     * 获取 增加 考勤汇总-迟到（次）
     * @return lateTimesIncrement
     */
    public Integer getLateTimesIncrement(){
        return this.lateTimesIncrement;
    }

    /**
     * 设置 增加 考勤汇总-迟到（次）
     * @param lateTimesIncrement
     */
    public void setLateTimesIncrement(Integer lateTimesIncrement){
        this.lateTimesIncrement = lateTimesIncrement;
    }

    /**
     * 获取 考勤汇总-迟到（次）
     * @return lateTimesList
     */
    public List<Integer> getLateTimesList(){
        return this.lateTimesList;
    }

    /**
     * 设置 考勤汇总-迟到（次）
     * @param lateTimesList
     */
    public void setLateTimesList(List<Integer> lateTimesList){
        this.lateTimesList = lateTimesList;
    }

    /**
     * 获取 考勤汇总-迟到（次）
     * @return lateTimesNotList
     */
    public List<Integer> getLateTimesNotList(){
        return this.lateTimesNotList;
    }

    /**
     * 设置 考勤汇总-迟到（次）
     * @param lateTimesNotList
     */
    public void setLateTimesNotList(List<Integer> lateTimesNotList){
        this.lateTimesNotList = lateTimesNotList;
    }


    /**
     * 获取 开始 考勤汇总-上网耍手机（次）
     * @return surfingMobileTimesStart
     */
    public Integer getSurfingMobileTimesStart(){
        return this.surfingMobileTimesStart;
    }

    /**
     * 设置 开始 考勤汇总-上网耍手机（次）
     * @param surfingMobileTimesStart
     */
    public void setSurfingMobileTimesStart(Integer surfingMobileTimesStart){
        this.surfingMobileTimesStart = surfingMobileTimesStart;
    }

    /**
     * 获取 结束 考勤汇总-上网耍手机（次）
     * @return $surfingMobileTimesEnd
     */
    public Integer getSurfingMobileTimesEnd(){
        return this.surfingMobileTimesEnd;
    }

    /**
     * 设置 结束 考勤汇总-上网耍手机（次）
     * @param surfingMobileTimesEnd
     */
    public void setSurfingMobileTimesEnd(Integer surfingMobileTimesEnd){
        this.surfingMobileTimesEnd = surfingMobileTimesEnd;
    }

    /**
     * 获取 增加 考勤汇总-上网耍手机（次）
     * @return surfingMobileTimesIncrement
     */
    public Integer getSurfingMobileTimesIncrement(){
        return this.surfingMobileTimesIncrement;
    }

    /**
     * 设置 增加 考勤汇总-上网耍手机（次）
     * @param surfingMobileTimesIncrement
     */
    public void setSurfingMobileTimesIncrement(Integer surfingMobileTimesIncrement){
        this.surfingMobileTimesIncrement = surfingMobileTimesIncrement;
    }

    /**
     * 获取 考勤汇总-上网耍手机（次）
     * @return surfingMobileTimesList
     */
    public List<Integer> getSurfingMobileTimesList(){
        return this.surfingMobileTimesList;
    }

    /**
     * 设置 考勤汇总-上网耍手机（次）
     * @param surfingMobileTimesList
     */
    public void setSurfingMobileTimesList(List<Integer> surfingMobileTimesList){
        this.surfingMobileTimesList = surfingMobileTimesList;
    }

    /**
     * 获取 考勤汇总-上网耍手机（次）
     * @return surfingMobileTimesNotList
     */
    public List<Integer> getSurfingMobileTimesNotList(){
        return this.surfingMobileTimesNotList;
    }

    /**
     * 设置 考勤汇总-上网耍手机（次）
     * @param surfingMobileTimesNotList
     */
    public void setSurfingMobileTimesNotList(List<Integer> surfingMobileTimesNotList){
        this.surfingMobileTimesNotList = surfingMobileTimesNotList;
    }


    /**
     * 获取 开始 考勤汇总-溜班（次）
     * @return overtimeTimesStart
     */
    public Integer getOvertimeTimesStart(){
        return this.overtimeTimesStart;
    }

    /**
     * 设置 开始 考勤汇总-溜班（次）
     * @param overtimeTimesStart
     */
    public void setOvertimeTimesStart(Integer overtimeTimesStart){
        this.overtimeTimesStart = overtimeTimesStart;
    }

    /**
     * 获取 结束 考勤汇总-溜班（次）
     * @return $overtimeTimesEnd
     */
    public Integer getOvertimeTimesEnd(){
        return this.overtimeTimesEnd;
    }

    /**
     * 设置 结束 考勤汇总-溜班（次）
     * @param overtimeTimesEnd
     */
    public void setOvertimeTimesEnd(Integer overtimeTimesEnd){
        this.overtimeTimesEnd = overtimeTimesEnd;
    }

    /**
     * 获取 增加 考勤汇总-溜班（次）
     * @return overtimeTimesIncrement
     */
    public Integer getOvertimeTimesIncrement(){
        return this.overtimeTimesIncrement;
    }

    /**
     * 设置 增加 考勤汇总-溜班（次）
     * @param overtimeTimesIncrement
     */
    public void setOvertimeTimesIncrement(Integer overtimeTimesIncrement){
        this.overtimeTimesIncrement = overtimeTimesIncrement;
    }

    /**
     * 获取 考勤汇总-溜班（次）
     * @return overtimeTimesList
     */
    public List<Integer> getOvertimeTimesList(){
        return this.overtimeTimesList;
    }

    /**
     * 设置 考勤汇总-溜班（次）
     * @param overtimeTimesList
     */
    public void setOvertimeTimesList(List<Integer> overtimeTimesList){
        this.overtimeTimesList = overtimeTimesList;
    }

    /**
     * 获取 考勤汇总-溜班（次）
     * @return overtimeTimesNotList
     */
    public List<Integer> getOvertimeTimesNotList(){
        return this.overtimeTimesNotList;
    }

    /**
     * 设置 考勤汇总-溜班（次）
     * @param overtimeTimesNotList
     */
    public void setOvertimeTimesNotList(List<Integer> overtimeTimesNotList){
        this.overtimeTimesNotList = overtimeTimesNotList;
    }


    /**
     * 获取 开始 考勤汇总-空岗
     * @return vacancyStart
     */
    public BigDecimal getVacancyStart(){
        return this.vacancyStart;
    }

    /**
     * 设置 开始 考勤汇总-空岗
     * @param vacancyStart
     */
    public void setVacancyStart(BigDecimal vacancyStart){
        this.vacancyStart = vacancyStart;
    }

    /**
     * 获取 结束 考勤汇总-空岗
     * @return $vacancyEnd
     */
    public BigDecimal getVacancyEnd(){
        return this.vacancyEnd;
    }

    /**
     * 设置 结束 考勤汇总-空岗
     * @param vacancyEnd
     */
    public void setVacancyEnd(BigDecimal vacancyEnd){
        this.vacancyEnd = vacancyEnd;
    }

    /**
     * 获取 增加 考勤汇总-空岗
     * @return vacancyIncrement
     */
    public BigDecimal getVacancyIncrement(){
        return this.vacancyIncrement;
    }

    /**
     * 设置 增加 考勤汇总-空岗
     * @param vacancyIncrement
     */
    public void setVacancyIncrement(BigDecimal vacancyIncrement){
        this.vacancyIncrement = vacancyIncrement;
    }

    /**
     * 获取 考勤汇总-空岗
     * @return vacancyList
     */
    public List<BigDecimal> getVacancyList(){
        return this.vacancyList;
    }

    /**
     * 设置 考勤汇总-空岗
     * @param vacancyList
     */
    public void setVacancyList(List<BigDecimal> vacancyList){
        this.vacancyList = vacancyList;
    }

    /**
     * 获取 考勤汇总-空岗
     * @return vacancyNotList
     */
    public List<BigDecimal> getVacancyNotList(){
        return this.vacancyNotList;
    }

    /**
     * 设置 考勤汇总-空岗
     * @param vacancyNotList
     */
    public void setVacancyNotList(List<BigDecimal> vacancyNotList){
        this.vacancyNotList = vacancyNotList;
    }


    /**
     * 获取 开始 考勤汇总-未规范着装（次）
     * @return nonStandardDressTimesStart
     */
    public Integer getNonStandardDressTimesStart(){
        return this.nonStandardDressTimesStart;
    }

    /**
     * 设置 开始 考勤汇总-未规范着装（次）
     * @param nonStandardDressTimesStart
     */
    public void setNonStandardDressTimesStart(Integer nonStandardDressTimesStart){
        this.nonStandardDressTimesStart = nonStandardDressTimesStart;
    }

    /**
     * 获取 结束 考勤汇总-未规范着装（次）
     * @return $nonStandardDressTimesEnd
     */
    public Integer getNonStandardDressTimesEnd(){
        return this.nonStandardDressTimesEnd;
    }

    /**
     * 设置 结束 考勤汇总-未规范着装（次）
     * @param nonStandardDressTimesEnd
     */
    public void setNonStandardDressTimesEnd(Integer nonStandardDressTimesEnd){
        this.nonStandardDressTimesEnd = nonStandardDressTimesEnd;
    }

    /**
     * 获取 增加 考勤汇总-未规范着装（次）
     * @return nonStandardDressTimesIncrement
     */
    public Integer getNonStandardDressTimesIncrement(){
        return this.nonStandardDressTimesIncrement;
    }

    /**
     * 设置 增加 考勤汇总-未规范着装（次）
     * @param nonStandardDressTimesIncrement
     */
    public void setNonStandardDressTimesIncrement(Integer nonStandardDressTimesIncrement){
        this.nonStandardDressTimesIncrement = nonStandardDressTimesIncrement;
    }

    /**
     * 获取 考勤汇总-未规范着装（次）
     * @return nonStandardDressTimesList
     */
    public List<Integer> getNonStandardDressTimesList(){
        return this.nonStandardDressTimesList;
    }

    /**
     * 设置 考勤汇总-未规范着装（次）
     * @param nonStandardDressTimesList
     */
    public void setNonStandardDressTimesList(List<Integer> nonStandardDressTimesList){
        this.nonStandardDressTimesList = nonStandardDressTimesList;
    }

    /**
     * 获取 考勤汇总-未规范着装（次）
     * @return nonStandardDressTimesNotList
     */
    public List<Integer> getNonStandardDressTimesNotList(){
        return this.nonStandardDressTimesNotList;
    }

    /**
     * 设置 考勤汇总-未规范着装（次）
     * @param nonStandardDressTimesNotList
     */
    public void setNonStandardDressTimesNotList(List<Integer> nonStandardDressTimesNotList){
        this.nonStandardDressTimesNotList = nonStandardDressTimesNotList;
    }


    /**
     * 获取 开始 考勤汇总-无故缺席会议
     * @return unexcusedMeetingAbsenceStart
     */
    public BigDecimal getUnexcusedMeetingAbsenceStart(){
        return this.unexcusedMeetingAbsenceStart;
    }

    /**
     * 设置 开始 考勤汇总-无故缺席会议
     * @param unexcusedMeetingAbsenceStart
     */
    public void setUnexcusedMeetingAbsenceStart(BigDecimal unexcusedMeetingAbsenceStart){
        this.unexcusedMeetingAbsenceStart = unexcusedMeetingAbsenceStart;
    }

    /**
     * 获取 结束 考勤汇总-无故缺席会议
     * @return $unexcusedMeetingAbsenceEnd
     */
    public BigDecimal getUnexcusedMeetingAbsenceEnd(){
        return this.unexcusedMeetingAbsenceEnd;
    }

    /**
     * 设置 结束 考勤汇总-无故缺席会议
     * @param unexcusedMeetingAbsenceEnd
     */
    public void setUnexcusedMeetingAbsenceEnd(BigDecimal unexcusedMeetingAbsenceEnd){
        this.unexcusedMeetingAbsenceEnd = unexcusedMeetingAbsenceEnd;
    }

    /**
     * 获取 增加 考勤汇总-无故缺席会议
     * @return unexcusedMeetingAbsenceIncrement
     */
    public BigDecimal getUnexcusedMeetingAbsenceIncrement(){
        return this.unexcusedMeetingAbsenceIncrement;
    }

    /**
     * 设置 增加 考勤汇总-无故缺席会议
     * @param unexcusedMeetingAbsenceIncrement
     */
    public void setUnexcusedMeetingAbsenceIncrement(BigDecimal unexcusedMeetingAbsenceIncrement){
        this.unexcusedMeetingAbsenceIncrement = unexcusedMeetingAbsenceIncrement;
    }

    /**
     * 获取 考勤汇总-无故缺席会议
     * @return unexcusedMeetingAbsenceList
     */
    public List<BigDecimal> getUnexcusedMeetingAbsenceList(){
        return this.unexcusedMeetingAbsenceList;
    }

    /**
     * 设置 考勤汇总-无故缺席会议
     * @param unexcusedMeetingAbsenceList
     */
    public void setUnexcusedMeetingAbsenceList(List<BigDecimal> unexcusedMeetingAbsenceList){
        this.unexcusedMeetingAbsenceList = unexcusedMeetingAbsenceList;
    }

    /**
     * 获取 考勤汇总-无故缺席会议
     * @return unexcusedMeetingAbsenceNotList
     */
    public List<BigDecimal> getUnexcusedMeetingAbsenceNotList(){
        return this.unexcusedMeetingAbsenceNotList;
    }

    /**
     * 设置 考勤汇总-无故缺席会议
     * @param unexcusedMeetingAbsenceNotList
     */
    public void setUnexcusedMeetingAbsenceNotList(List<BigDecimal> unexcusedMeetingAbsenceNotList){
        this.unexcusedMeetingAbsenceNotList = unexcusedMeetingAbsenceNotList;
    }


    /**
     * 获取 开始 考勤汇总-会议早退
     * @return earlyLeaveMeetingStart
     */
    public BigDecimal getEarlyLeaveMeetingStart(){
        return this.earlyLeaveMeetingStart;
    }

    /**
     * 设置 开始 考勤汇总-会议早退
     * @param earlyLeaveMeetingStart
     */
    public void setEarlyLeaveMeetingStart(BigDecimal earlyLeaveMeetingStart){
        this.earlyLeaveMeetingStart = earlyLeaveMeetingStart;
    }

    /**
     * 获取 结束 考勤汇总-会议早退
     * @return $earlyLeaveMeetingEnd
     */
    public BigDecimal getEarlyLeaveMeetingEnd(){
        return this.earlyLeaveMeetingEnd;
    }

    /**
     * 设置 结束 考勤汇总-会议早退
     * @param earlyLeaveMeetingEnd
     */
    public void setEarlyLeaveMeetingEnd(BigDecimal earlyLeaveMeetingEnd){
        this.earlyLeaveMeetingEnd = earlyLeaveMeetingEnd;
    }

    /**
     * 获取 增加 考勤汇总-会议早退
     * @return earlyLeaveMeetingIncrement
     */
    public BigDecimal getEarlyLeaveMeetingIncrement(){
        return this.earlyLeaveMeetingIncrement;
    }

    /**
     * 设置 增加 考勤汇总-会议早退
     * @param earlyLeaveMeetingIncrement
     */
    public void setEarlyLeaveMeetingIncrement(BigDecimal earlyLeaveMeetingIncrement){
        this.earlyLeaveMeetingIncrement = earlyLeaveMeetingIncrement;
    }

    /**
     * 获取 考勤汇总-会议早退
     * @return earlyLeaveMeetingList
     */
    public List<BigDecimal> getEarlyLeaveMeetingList(){
        return this.earlyLeaveMeetingList;
    }

    /**
     * 设置 考勤汇总-会议早退
     * @param earlyLeaveMeetingList
     */
    public void setEarlyLeaveMeetingList(List<BigDecimal> earlyLeaveMeetingList){
        this.earlyLeaveMeetingList = earlyLeaveMeetingList;
    }

    /**
     * 获取 考勤汇总-会议早退
     * @return earlyLeaveMeetingNotList
     */
    public List<BigDecimal> getEarlyLeaveMeetingNotList(){
        return this.earlyLeaveMeetingNotList;
    }

    /**
     * 设置 考勤汇总-会议早退
     * @param earlyLeaveMeetingNotList
     */
    public void setEarlyLeaveMeetingNotList(List<BigDecimal> earlyLeaveMeetingNotList){
        this.earlyLeaveMeetingNotList = earlyLeaveMeetingNotList;
    }


    /**
     * 获取 开始 年
     * @return yearStart
     */
    public Integer getYearStart(){
        return this.yearStart;
    }

    /**
     * 设置 开始 年
     * @param yearStart
     */
    public void setYearStart(Integer yearStart){
        this.yearStart = yearStart;
    }

    /**
     * 获取 结束 年
     * @return $yearEnd
     */
    public Integer getYearEnd(){
        return this.yearEnd;
    }

    /**
     * 设置 结束 年
     * @param yearEnd
     */
    public void setYearEnd(Integer yearEnd){
        this.yearEnd = yearEnd;
    }

    /**
     * 获取 增加 年
     * @return yearIncrement
     */
    public Integer getYearIncrement(){
        return this.yearIncrement;
    }

    /**
     * 设置 增加 年
     * @param yearIncrement
     */
    public void setYearIncrement(Integer yearIncrement){
        this.yearIncrement = yearIncrement;
    }

    /**
     * 获取 年
     * @return yearList
     */
    public List<Integer> getYearList(){
        return this.yearList;
    }

    /**
     * 设置 年
     * @param yearList
     */
    public void setYearList(List<Integer> yearList){
        this.yearList = yearList;
    }

    /**
     * 获取 年
     * @return yearNotList
     */
    public List<Integer> getYearNotList(){
        return this.yearNotList;
    }

    /**
     * 设置 年
     * @param yearNotList
     */
    public void setYearNotList(List<Integer> yearNotList){
        this.yearNotList = yearNotList;
    }


    /**
     * 获取 开始 月
     * @return monthStart
     */
    public Integer getMonthStart(){
        return this.monthStart;
    }

    /**
     * 设置 开始 月
     * @param monthStart
     */
    public void setMonthStart(Integer monthStart){
        this.monthStart = monthStart;
    }

    /**
     * 获取 结束 月
     * @return $monthEnd
     */
    public Integer getMonthEnd(){
        return this.monthEnd;
    }

    /**
     * 设置 结束 月
     * @param monthEnd
     */
    public void setMonthEnd(Integer monthEnd){
        this.monthEnd = monthEnd;
    }

    /**
     * 获取 增加 月
     * @return monthIncrement
     */
    public Integer getMonthIncrement(){
        return this.monthIncrement;
    }

    /**
     * 设置 增加 月
     * @param monthIncrement
     */
    public void setMonthIncrement(Integer monthIncrement){
        this.monthIncrement = monthIncrement;
    }

    /**
     * 获取 月
     * @return monthList
     */
    public List<Integer> getMonthList(){
        return this.monthList;
    }

    /**
     * 设置 月
     * @param monthList
     */
    public void setMonthList(List<Integer> monthList){
        this.monthList = monthList;
    }

    /**
     * 获取 月
     * @return monthNotList
     */
    public List<Integer> getMonthNotList(){
        return this.monthNotList;
    }

    /**
     * 设置 月
     * @param monthNotList
     */
    public void setMonthNotList(List<Integer> monthNotList){
        this.monthNotList = monthNotList;
    }


    /**
     * 获取 开始 日
     * @return dayStart
     */
    public Integer getDayStart(){
        return this.dayStart;
    }

    /**
     * 设置 开始 日
     * @param dayStart
     */
    public void setDayStart(Integer dayStart){
        this.dayStart = dayStart;
    }

    /**
     * 获取 结束 日
     * @return $dayEnd
     */
    public Integer getDayEnd(){
        return this.dayEnd;
    }

    /**
     * 设置 结束 日
     * @param dayEnd
     */
    public void setDayEnd(Integer dayEnd){
        this.dayEnd = dayEnd;
    }

    /**
     * 获取 增加 日
     * @return dayIncrement
     */
    public Integer getDayIncrement(){
        return this.dayIncrement;
    }

    /**
     * 设置 增加 日
     * @param dayIncrement
     */
    public void setDayIncrement(Integer dayIncrement){
        this.dayIncrement = dayIncrement;
    }

    /**
     * 获取 日
     * @return dayList
     */
    public List<Integer> getDayList(){
        return this.dayList;
    }

    /**
     * 设置 日
     * @param dayList
     */
    public void setDayList(List<Integer> dayList){
        this.dayList = dayList;
    }

    /**
     * 获取 日
     * @return dayNotList
     */
    public List<Integer> getDayNotList(){
        return this.dayNotList;
    }

    /**
     * 设置 日
     * @param dayNotList
     */
    public void setDayNotList(List<Integer> dayNotList){
        this.dayNotList = dayNotList;
    }


    /**
     * 获取 备注
     * @return remarkList
     */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
     * 获取 备注
     * @return remarkNotList
     */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
     * 设置 备注
     * @param remarkNotList
     */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新用户
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新用户
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新用户
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新用户
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 开始 哺乳假（天）
     * @return breastfeedingLeaveDaysStart
     */
    public BigDecimal getBreastfeedingLeaveDaysStart(){
        return this.breastfeedingLeaveDaysStart;
    }

    /**
     * 设置 开始 哺乳假（天）
     * @param breastfeedingLeaveDaysStart
     */
    public void setBreastfeedingLeaveDaysStart(BigDecimal breastfeedingLeaveDaysStart){
        this.breastfeedingLeaveDaysStart = breastfeedingLeaveDaysStart;
    }

    /**
     * 获取 结束 哺乳假（天）
     * @return $breastfeedingLeaveDaysEnd
     */
    public BigDecimal getBreastfeedingLeaveDaysEnd(){
        return this.breastfeedingLeaveDaysEnd;
    }

    /**
     * 设置 结束 哺乳假（天）
     * @param breastfeedingLeaveDaysEnd
     */
    public void setBreastfeedingLeaveDaysEnd(BigDecimal breastfeedingLeaveDaysEnd){
        this.breastfeedingLeaveDaysEnd = breastfeedingLeaveDaysEnd;
    }

    /**
     * 获取 增加 哺乳假（天）
     * @return breastfeedingLeaveDaysIncrement
     */
    public BigDecimal getBreastfeedingLeaveDaysIncrement(){
        return this.breastfeedingLeaveDaysIncrement;
    }

    /**
     * 设置 增加 哺乳假（天）
     * @param breastfeedingLeaveDaysIncrement
     */
    public void setBreastfeedingLeaveDaysIncrement(BigDecimal breastfeedingLeaveDaysIncrement){
        this.breastfeedingLeaveDaysIncrement = breastfeedingLeaveDaysIncrement;
    }

    /**
     * 获取 哺乳假（天）
     * @return breastfeedingLeaveDaysList
     */
    public List<BigDecimal> getBreastfeedingLeaveDaysList(){
        return this.breastfeedingLeaveDaysList;
    }

    /**
     * 设置 哺乳假（天）
     * @param breastfeedingLeaveDaysList
     */
    public void setBreastfeedingLeaveDaysList(List<BigDecimal> breastfeedingLeaveDaysList){
        this.breastfeedingLeaveDaysList = breastfeedingLeaveDaysList;
    }

    /**
     * 获取 哺乳假（天）
     * @return breastfeedingLeaveDaysNotList
     */
    public List<BigDecimal> getBreastfeedingLeaveDaysNotList(){
        return this.breastfeedingLeaveDaysNotList;
    }

    /**
     * 设置 哺乳假（天）
     * @param breastfeedingLeaveDaysNotList
     */
    public void setBreastfeedingLeaveDaysNotList(List<BigDecimal> breastfeedingLeaveDaysNotList){
        this.breastfeedingLeaveDaysNotList = breastfeedingLeaveDaysNotList;
    }


    /**
     * 获取 开始 例假（天）
     * @return menstrualLeaveDaysStart
     */
    public BigDecimal getMenstrualLeaveDaysStart(){
        return this.menstrualLeaveDaysStart;
    }

    /**
     * 设置 开始 例假（天）
     * @param menstrualLeaveDaysStart
     */
    public void setMenstrualLeaveDaysStart(BigDecimal menstrualLeaveDaysStart){
        this.menstrualLeaveDaysStart = menstrualLeaveDaysStart;
    }

    /**
     * 获取 结束 例假（天）
     * @return $menstrualLeaveDaysEnd
     */
    public BigDecimal getMenstrualLeaveDaysEnd(){
        return this.menstrualLeaveDaysEnd;
    }

    /**
     * 设置 结束 例假（天）
     * @param menstrualLeaveDaysEnd
     */
    public void setMenstrualLeaveDaysEnd(BigDecimal menstrualLeaveDaysEnd){
        this.menstrualLeaveDaysEnd = menstrualLeaveDaysEnd;
    }

    /**
     * 获取 增加 例假（天）
     * @return menstrualLeaveDaysIncrement
     */
    public BigDecimal getMenstrualLeaveDaysIncrement(){
        return this.menstrualLeaveDaysIncrement;
    }

    /**
     * 设置 增加 例假（天）
     * @param menstrualLeaveDaysIncrement
     */
    public void setMenstrualLeaveDaysIncrement(BigDecimal menstrualLeaveDaysIncrement){
        this.menstrualLeaveDaysIncrement = menstrualLeaveDaysIncrement;
    }

    /**
     * 获取 例假（天）
     * @return menstrualLeaveDaysList
     */
    public List<BigDecimal> getMenstrualLeaveDaysList(){
        return this.menstrualLeaveDaysList;
    }

    /**
     * 设置 例假（天）
     * @param menstrualLeaveDaysList
     */
    public void setMenstrualLeaveDaysList(List<BigDecimal> menstrualLeaveDaysList){
        this.menstrualLeaveDaysList = menstrualLeaveDaysList;
    }

    /**
     * 获取 例假（天）
     * @return menstrualLeaveDaysNotList
     */
    public List<BigDecimal> getMenstrualLeaveDaysNotList(){
        return this.menstrualLeaveDaysNotList;
    }

    /**
     * 设置 例假（天）
     * @param menstrualLeaveDaysNotList
     */
    public void setMenstrualLeaveDaysNotList(List<BigDecimal> menstrualLeaveDaysNotList){
        this.menstrualLeaveDaysNotList = menstrualLeaveDaysNotList;
    }


    /**
     * 获取 开始 年假（天）
     * @return annualLeaveDaysStart
     */
    public BigDecimal getAnnualLeaveDaysStart(){
        return this.annualLeaveDaysStart;
    }

    /**
     * 设置 开始 年假（天）
     * @param annualLeaveDaysStart
     */
    public void setAnnualLeaveDaysStart(BigDecimal annualLeaveDaysStart){
        this.annualLeaveDaysStart = annualLeaveDaysStart;
    }

    /**
     * 获取 结束 年假（天）
     * @return $annualLeaveDaysEnd
     */
    public BigDecimal getAnnualLeaveDaysEnd(){
        return this.annualLeaveDaysEnd;
    }

    /**
     * 设置 结束 年假（天）
     * @param annualLeaveDaysEnd
     */
    public void setAnnualLeaveDaysEnd(BigDecimal annualLeaveDaysEnd){
        this.annualLeaveDaysEnd = annualLeaveDaysEnd;
    }

    /**
     * 获取 增加 年假（天）
     * @return annualLeaveDaysIncrement
     */
    public BigDecimal getAnnualLeaveDaysIncrement(){
        return this.annualLeaveDaysIncrement;
    }

    /**
     * 设置 增加 年假（天）
     * @param annualLeaveDaysIncrement
     */
    public void setAnnualLeaveDaysIncrement(BigDecimal annualLeaveDaysIncrement){
        this.annualLeaveDaysIncrement = annualLeaveDaysIncrement;
    }

    /**
     * 获取 年假（天）
     * @return annualLeaveDaysList
     */
    public List<BigDecimal> getAnnualLeaveDaysList(){
        return this.annualLeaveDaysList;
    }

    /**
     * 设置 年假（天）
     * @param annualLeaveDaysList
     */
    public void setAnnualLeaveDaysList(List<BigDecimal> annualLeaveDaysList){
        this.annualLeaveDaysList = annualLeaveDaysList;
    }

    /**
     * 获取 年假（天）
     * @return annualLeaveDaysNotList
     */
    public List<BigDecimal> getAnnualLeaveDaysNotList(){
        return this.annualLeaveDaysNotList;
    }

    /**
     * 设置 年假（天）
     * @param annualLeaveDaysNotList
     */
    public void setAnnualLeaveDaysNotList(List<BigDecimal> annualLeaveDaysNotList){
        this.annualLeaveDaysNotList = annualLeaveDaysNotList;
    }


    /**
     * 获取 开始 调休（天）
     * @return compensatedLeaveDaysStart
     */
    public BigDecimal getCompensatedLeaveDaysStart(){
        return this.compensatedLeaveDaysStart;
    }

    /**
     * 设置 开始 调休（天）
     * @param compensatedLeaveDaysStart
     */
    public void setCompensatedLeaveDaysStart(BigDecimal compensatedLeaveDaysStart){
        this.compensatedLeaveDaysStart = compensatedLeaveDaysStart;
    }

    /**
     * 获取 结束 调休（天）
     * @return $compensatedLeaveDaysEnd
     */
    public BigDecimal getCompensatedLeaveDaysEnd(){
        return this.compensatedLeaveDaysEnd;
    }

    /**
     * 设置 结束 调休（天）
     * @param compensatedLeaveDaysEnd
     */
    public void setCompensatedLeaveDaysEnd(BigDecimal compensatedLeaveDaysEnd){
        this.compensatedLeaveDaysEnd = compensatedLeaveDaysEnd;
    }

    /**
     * 获取 增加 调休（天）
     * @return compensatedLeaveDaysIncrement
     */
    public BigDecimal getCompensatedLeaveDaysIncrement(){
        return this.compensatedLeaveDaysIncrement;
    }

    /**
     * 设置 增加 调休（天）
     * @param compensatedLeaveDaysIncrement
     */
    public void setCompensatedLeaveDaysIncrement(BigDecimal compensatedLeaveDaysIncrement){
        this.compensatedLeaveDaysIncrement = compensatedLeaveDaysIncrement;
    }

    /**
     * 获取 调休（天）
     * @return compensatedLeaveDaysList
     */
    public List<BigDecimal> getCompensatedLeaveDaysList(){
        return this.compensatedLeaveDaysList;
    }

    /**
     * 设置 调休（天）
     * @param compensatedLeaveDaysList
     */
    public void setCompensatedLeaveDaysList(List<BigDecimal> compensatedLeaveDaysList){
        this.compensatedLeaveDaysList = compensatedLeaveDaysList;
    }

    /**
     * 获取 调休（天）
     * @return compensatedLeaveDaysNotList
     */
    public List<BigDecimal> getCompensatedLeaveDaysNotList(){
        return this.compensatedLeaveDaysNotList;
    }

    /**
     * 设置 调休（天）
     * @param compensatedLeaveDaysNotList
     */
    public void setCompensatedLeaveDaysNotList(List<BigDecimal> compensatedLeaveDaysNotList){
        this.compensatedLeaveDaysNotList = compensatedLeaveDaysNotList;
    }


    /**
     * 获取 开始 陪产假（天）
     * @return paternityLeaveDaysStart
     */
    public BigDecimal getPaternityLeaveDaysStart(){
        return this.paternityLeaveDaysStart;
    }

    /**
     * 设置 开始 陪产假（天）
     * @param paternityLeaveDaysStart
     */
    public void setPaternityLeaveDaysStart(BigDecimal paternityLeaveDaysStart){
        this.paternityLeaveDaysStart = paternityLeaveDaysStart;
    }

    /**
     * 获取 结束 陪产假（天）
     * @return $paternityLeaveDaysEnd
     */
    public BigDecimal getPaternityLeaveDaysEnd(){
        return this.paternityLeaveDaysEnd;
    }

    /**
     * 设置 结束 陪产假（天）
     * @param paternityLeaveDaysEnd
     */
    public void setPaternityLeaveDaysEnd(BigDecimal paternityLeaveDaysEnd){
        this.paternityLeaveDaysEnd = paternityLeaveDaysEnd;
    }

    /**
     * 获取 增加 陪产假（天）
     * @return paternityLeaveDaysIncrement
     */
    public BigDecimal getPaternityLeaveDaysIncrement(){
        return this.paternityLeaveDaysIncrement;
    }

    /**
     * 设置 增加 陪产假（天）
     * @param paternityLeaveDaysIncrement
     */
    public void setPaternityLeaveDaysIncrement(BigDecimal paternityLeaveDaysIncrement){
        this.paternityLeaveDaysIncrement = paternityLeaveDaysIncrement;
    }

    /**
     * 获取 陪产假（天）
     * @return paternityLeaveDaysList
     */
    public List<BigDecimal> getPaternityLeaveDaysList(){
        return this.paternityLeaveDaysList;
    }

    /**
     * 设置 陪产假（天）
     * @param paternityLeaveDaysList
     */
    public void setPaternityLeaveDaysList(List<BigDecimal> paternityLeaveDaysList){
        this.paternityLeaveDaysList = paternityLeaveDaysList;
    }

    /**
     * 获取 陪产假（天）
     * @return paternityLeaveDaysNotList
     */
    public List<BigDecimal> getPaternityLeaveDaysNotList(){
        return this.paternityLeaveDaysNotList;
    }

    /**
     * 设置 陪产假（天）
     * @param paternityLeaveDaysNotList
     */
    public void setPaternityLeaveDaysNotList(List<BigDecimal> paternityLeaveDaysNotList){
        this.paternityLeaveDaysNotList = paternityLeaveDaysNotList;
    }


    /**
     * 获取 手机号码
     * @return phoneNumerList
     */
    public List<String> getPhoneNumerList(){
        return this.phoneNumerList;
    }

    /**
     * 设置 手机号码
     * @param phoneNumerList
     */
    public void setPhoneNumerList(List<String> phoneNumerList){
        this.phoneNumerList = phoneNumerList;
    }

    /**
     * 获取 手机号码
     * @return phoneNumerNotList
     */
    public List<String> getPhoneNumerNotList(){
        return this.phoneNumerNotList;
    }

    /**
     * 设置 手机号码
     * @param phoneNumerNotList
     */
    public void setPhoneNumerNotList(List<String> phoneNumerNotList){
        this.phoneNumerNotList = phoneNumerNotList;
    }

    /**
     * 获取 开始 出勤天数
     * @return goTimesStart
     */
    public Integer getGoTimesStart(){
        return this.goTimesStart;
    }

    /**
     * 设置 开始 出勤天数
     * @param goTimesStart
     */
    public void setGoTimesStart(Integer goTimesStart){
        this.goTimesStart = goTimesStart;
    }

    /**
     * 获取 结束 出勤天数
     * @return $goTimesEnd
     */
    public Integer getGoTimesEnd(){
        return this.goTimesEnd;
    }

    /**
     * 设置 结束 出勤天数
     * @param goTimesEnd
     */
    public void setGoTimesEnd(Integer goTimesEnd){
        this.goTimesEnd = goTimesEnd;
    }

    /**
     * 获取 增加 出勤天数
     * @return goTimesIncrement
     */
    public Integer getGoTimesIncrement(){
        return this.goTimesIncrement;
    }

    /**
     * 设置 增加 出勤天数
     * @param goTimesIncrement
     */
    public void setGoTimesIncrement(Integer goTimesIncrement){
        this.goTimesIncrement = goTimesIncrement;
    }

    /**
     * 获取 出勤天数
     * @return goTimesList
     */
    public List<Integer> getGoTimesList(){
        return this.goTimesList;
    }

    /**
     * 设置 出勤天数
     * @param goTimesList
     */
    public void setGoTimesList(List<Integer> goTimesList){
        this.goTimesList = goTimesList;
    }

    /**
     * 获取 出勤天数
     * @return goTimesNotList
     */
    public List<Integer> getGoTimesNotList(){
        return this.goTimesNotList;
    }

    /**
     * 设置 出勤天数
     * @param goTimesNotList
     */
    public void setGoTimesNotList(List<Integer> goTimesNotList){
        this.goTimesNotList = goTimesNotList;
    }


    /**
     * 获取 开始 上午缺卡次数
     * @return morningTimesStart
     */
    public Integer getMorningTimesStart(){
        return this.morningTimesStart;
    }

    /**
     * 设置 开始 上午缺卡次数
     * @param morningTimesStart
     */
    public void setMorningTimesStart(Integer morningTimesStart){
        this.morningTimesStart = morningTimesStart;
    }

    /**
     * 获取 结束 上午缺卡次数
     * @return $morningTimesEnd
     */
    public Integer getMorningTimesEnd(){
        return this.morningTimesEnd;
    }

    /**
     * 设置 结束 上午缺卡次数
     * @param morningTimesEnd
     */
    public void setMorningTimesEnd(Integer morningTimesEnd){
        this.morningTimesEnd = morningTimesEnd;
    }

    /**
     * 获取 增加 上午缺卡次数
     * @return morningTimesIncrement
     */
    public Integer getMorningTimesIncrement(){
        return this.morningTimesIncrement;
    }

    /**
     * 设置 增加 上午缺卡次数
     * @param morningTimesIncrement
     */
    public void setMorningTimesIncrement(Integer morningTimesIncrement){
        this.morningTimesIncrement = morningTimesIncrement;
    }

    /**
     * 获取 上午缺卡次数
     * @return morningTimesList
     */
    public List<Integer> getMorningTimesList(){
        return this.morningTimesList;
    }

    /**
     * 设置 上午缺卡次数
     * @param morningTimesList
     */
    public void setMorningTimesList(List<Integer> morningTimesList){
        this.morningTimesList = morningTimesList;
    }

    /**
     * 获取 上午缺卡次数
     * @return morningTimesNotList
     */
    public List<Integer> getMorningTimesNotList(){
        return this.morningTimesNotList;
    }

    /**
     * 设置 上午缺卡次数
     * @param morningTimesNotList
     */
    public void setMorningTimesNotList(List<Integer> morningTimesNotList){
        this.morningTimesNotList = morningTimesNotList;
    }


    /**
     * 获取 开始 下午缺卡次数
     * @return afternoonTimesStart
     */
    public Integer getAfternoonTimesStart(){
        return this.afternoonTimesStart;
    }

    /**
     * 设置 开始 下午缺卡次数
     * @param afternoonTimesStart
     */
    public void setAfternoonTimesStart(Integer afternoonTimesStart){
        this.afternoonTimesStart = afternoonTimesStart;
    }

    /**
     * 获取 结束 下午缺卡次数
     * @return $afternoonTimesEnd
     */
    public Integer getAfternoonTimesEnd(){
        return this.afternoonTimesEnd;
    }

    /**
     * 设置 结束 下午缺卡次数
     * @param afternoonTimesEnd
     */
    public void setAfternoonTimesEnd(Integer afternoonTimesEnd){
        this.afternoonTimesEnd = afternoonTimesEnd;
    }

    /**
     * 获取 增加 下午缺卡次数
     * @return afternoonTimesIncrement
     */
    public Integer getAfternoonTimesIncrement(){
        return this.afternoonTimesIncrement;
    }

    /**
     * 设置 增加 下午缺卡次数
     * @param afternoonTimesIncrement
     */
    public void setAfternoonTimesIncrement(Integer afternoonTimesIncrement){
        this.afternoonTimesIncrement = afternoonTimesIncrement;
    }

    /**
     * 获取 下午缺卡次数
     * @return afternoonTimesList
     */
    public List<Integer> getAfternoonTimesList(){
        return this.afternoonTimesList;
    }

    /**
     * 设置 下午缺卡次数
     * @param afternoonTimesList
     */
    public void setAfternoonTimesList(List<Integer> afternoonTimesList){
        this.afternoonTimesList = afternoonTimesList;
    }

    /**
     * 获取 下午缺卡次数
     * @return afternoonTimesNotList
     */
    public List<Integer> getAfternoonTimesNotList(){
        return this.afternoonTimesNotList;
    }

    /**
     * 设置 下午缺卡次数
     * @param afternoonTimesNotList
     */
    public void setAfternoonTimesNotList(List<Integer> afternoonTimesNotList){
        this.afternoonTimesNotList = afternoonTimesNotList;
    }


    /**
     * 设置  序号，主键，自增长
     * @param id
     */
    public AttendanceStatQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public AttendanceStatQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public AttendanceStatQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public AttendanceStatQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public AttendanceStatQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idNotList
     */
    public AttendanceStatQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }


    /**
     * 设置 窗口类别
     * @param windowCategory
     */
    public AttendanceStatQuery windowCategory(String windowCategory){
        setWindowCategory(windowCategory);
        return this;
    }

    /**
     * 设置 窗口类别
     * @param windowCategoryList
     */
    public AttendanceStatQuery windowCategoryList(List<String> windowCategoryList){
        this.windowCategoryList = windowCategoryList;
        return this;
    }

    /**
     * 设置  员工ID
     * @param staffId
     */
    public AttendanceStatQuery staffId(Long staffId){
        setStaffId(staffId);
        return this;
    }

    /**
     * 设置 开始 员工ID
     * @param staffIdStart
     */
    public AttendanceStatQuery staffIdStart(Long staffIdStart){
        this.staffIdStart = staffIdStart;
        return this;
    }

    /**
     * 设置 结束 员工ID
     * @param staffIdEnd
     */
    public AttendanceStatQuery staffIdEnd(Long staffIdEnd){
        this.staffIdEnd = staffIdEnd;
        return this;
    }

    /**
     * 设置 增加 员工ID
     * @param staffIdIncrement
     */
    public AttendanceStatQuery staffIdIncrement(Long staffIdIncrement){
        this.staffIdIncrement = staffIdIncrement;
        return this;
    }

    /**
     * 设置 员工ID
     * @param staffIdList
     */
    public AttendanceStatQuery staffIdList(List<Long> staffIdList){
        this.staffIdList = staffIdList;
        return this;
    }

    /**
     * 设置 员工ID
     * @param staffIdNotList
     */
    public AttendanceStatQuery staffIdNotList(List<Long> staffIdNotList){
        this.staffIdNotList = staffIdNotList;
        return this;
    }


    /**
     * 设置 员工姓名
     * @param staffName
     */
    public AttendanceStatQuery staffName(String staffName){
        setStaffName(staffName);
        return this;
    }

    /**
     * 设置 员工姓名
     * @param staffNameList
     */
    public AttendanceStatQuery staffNameList(List<String> staffNameList){
        this.staffNameList = staffNameList;
        return this;
    }

    /**
     * 设置  所属部门
     * @param deptId
     */
    public AttendanceStatQuery deptId(Long deptId){
        setDeptId(deptId);
        return this;
    }

    /**
     * 设置 开始 所属部门
     * @param deptIdStart
     */
    public AttendanceStatQuery deptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
        return this;
    }

    /**
     * 设置 结束 所属部门
     * @param deptIdEnd
     */
    public AttendanceStatQuery deptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
        return this;
    }

    /**
     * 设置 增加 所属部门
     * @param deptIdIncrement
     */
    public AttendanceStatQuery deptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
        return this;
    }

    /**
     * 设置 所属部门
     * @param deptIdList
     */
    public AttendanceStatQuery deptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
        return this;
    }

    /**
     * 设置 所属部门
     * @param deptIdNotList
     */
    public AttendanceStatQuery deptIdNotList(List<Long> deptIdNotList){
        this.deptIdNotList = deptIdNotList;
        return this;
    }


    /**
     * 设置 所属部门名称
     * @param deptName
     */
    public AttendanceStatQuery deptName(String deptName){
        setDeptName(deptName);
        return this;
    }

    /**
     * 设置 所属部门名称
     * @param deptNameList
     */
    public AttendanceStatQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
        return this;
    }

    /**
     * 设置  回单位（天）
     * @param backToUnit
     */
    public AttendanceStatQuery backToUnit(BigDecimal backToUnit){
        setBackToUnit(backToUnit);
        return this;
    }

    /**
     * 设置 开始 回单位（天）
     * @param backToUnitStart
     */
    public AttendanceStatQuery backToUnitStart(BigDecimal backToUnitStart){
        this.backToUnitStart = backToUnitStart;
        return this;
    }

    /**
     * 设置 结束 回单位（天）
     * @param backToUnitEnd
     */
    public AttendanceStatQuery backToUnitEnd(BigDecimal backToUnitEnd){
        this.backToUnitEnd = backToUnitEnd;
        return this;
    }

    /**
     * 设置 增加 回单位（天）
     * @param backToUnitIncrement
     */
    public AttendanceStatQuery backToUnitIncrement(BigDecimal backToUnitIncrement){
        this.backToUnitIncrement = backToUnitIncrement;
        return this;
    }

    /**
     * 设置 回单位（天）
     * @param backToUnitList
     */
    public AttendanceStatQuery backToUnitList(List<BigDecimal> backToUnitList){
        this.backToUnitList = backToUnitList;
        return this;
    }

    /**
     * 设置 回单位（天）
     * @param backToUnitNotList
     */
    public AttendanceStatQuery backToUnitNotList(List<BigDecimal> backToUnitNotList){
        this.backToUnitNotList = backToUnitNotList;
        return this;
    }

    /**
     * 设置  因公请假（天）
     * @param onDutyLeave
     */
    public AttendanceStatQuery onDutyLeave(BigDecimal onDutyLeave){
        setOnDutyLeave(onDutyLeave);
        return this;
    }

    /**
     * 设置 开始 因公请假（天）
     * @param onDutyLeaveStart
     */
    public AttendanceStatQuery onDutyLeaveStart(BigDecimal onDutyLeaveStart){
        this.onDutyLeaveStart = onDutyLeaveStart;
        return this;
    }

    /**
     * 设置 结束 因公请假（天）
     * @param onDutyLeaveEnd
     */
    public AttendanceStatQuery onDutyLeaveEnd(BigDecimal onDutyLeaveEnd){
        this.onDutyLeaveEnd = onDutyLeaveEnd;
        return this;
    }

    /**
     * 设置 增加 因公请假（天）
     * @param onDutyLeaveIncrement
     */
    public AttendanceStatQuery onDutyLeaveIncrement(BigDecimal onDutyLeaveIncrement){
        this.onDutyLeaveIncrement = onDutyLeaveIncrement;
        return this;
    }

    /**
     * 设置 因公请假（天）
     * @param onDutyLeaveList
     */
    public AttendanceStatQuery onDutyLeaveList(List<BigDecimal> onDutyLeaveList){
        this.onDutyLeaveList = onDutyLeaveList;
        return this;
    }

    /**
     * 设置 因公请假（天）
     * @param onDutyLeaveNotList
     */
    public AttendanceStatQuery onDutyLeaveNotList(List<BigDecimal> onDutyLeaveNotList){
        this.onDutyLeaveNotList = onDutyLeaveNotList;
        return this;
    }

    /**
     * 设置  外出勘验（天）
     * @param outOfOffice
     */
    public AttendanceStatQuery outOfOffice(BigDecimal outOfOffice){
        setOutOfOffice(outOfOffice);
        return this;
    }

    /**
     * 设置 开始 外出勘验（天）
     * @param outOfOfficeStart
     */
    public AttendanceStatQuery outOfOfficeStart(BigDecimal outOfOfficeStart){
        this.outOfOfficeStart = outOfOfficeStart;
        return this;
    }

    /**
     * 设置 结束 外出勘验（天）
     * @param outOfOfficeEnd
     */
    public AttendanceStatQuery outOfOfficeEnd(BigDecimal outOfOfficeEnd){
        this.outOfOfficeEnd = outOfOfficeEnd;
        return this;
    }

    /**
     * 设置 增加 外出勘验（天）
     * @param outOfOfficeIncrement
     */
    public AttendanceStatQuery outOfOfficeIncrement(BigDecimal outOfOfficeIncrement){
        this.outOfOfficeIncrement = outOfOfficeIncrement;
        return this;
    }

    /**
     * 设置 外出勘验（天）
     * @param outOfOfficeList
     */
    public AttendanceStatQuery outOfOfficeList(List<BigDecimal> outOfOfficeList){
        this.outOfOfficeList = outOfOfficeList;
        return this;
    }

    /**
     * 设置 外出勘验（天）
     * @param outOfOfficeNotList
     */
    public AttendanceStatQuery outOfOfficeNotList(List<BigDecimal> outOfOfficeNotList){
        this.outOfOfficeNotList = outOfOfficeNotList;
        return this;
    }

    /**
     * 设置  值班补班（天）
     * @param shiftCompensation
     */
    public AttendanceStatQuery shiftCompensation(BigDecimal shiftCompensation){
        setShiftCompensation(shiftCompensation);
        return this;
    }

    /**
     * 设置 开始 值班补班（天）
     * @param shiftCompensationStart
     */
    public AttendanceStatQuery shiftCompensationStart(BigDecimal shiftCompensationStart){
        this.shiftCompensationStart = shiftCompensationStart;
        return this;
    }

    /**
     * 设置 结束 值班补班（天）
     * @param shiftCompensationEnd
     */
    public AttendanceStatQuery shiftCompensationEnd(BigDecimal shiftCompensationEnd){
        this.shiftCompensationEnd = shiftCompensationEnd;
        return this;
    }

    /**
     * 设置 增加 值班补班（天）
     * @param shiftCompensationIncrement
     */
    public AttendanceStatQuery shiftCompensationIncrement(BigDecimal shiftCompensationIncrement){
        this.shiftCompensationIncrement = shiftCompensationIncrement;
        return this;
    }

    /**
     * 设置 值班补班（天）
     * @param shiftCompensationList
     */
    public AttendanceStatQuery shiftCompensationList(List<BigDecimal> shiftCompensationList){
        this.shiftCompensationList = shiftCompensationList;
        return this;
    }

    /**
     * 设置 值班补班（天）
     * @param shiftCompensationNotList
     */
    public AttendanceStatQuery shiftCompensationNotList(List<BigDecimal> shiftCompensationNotList){
        this.shiftCompensationNotList = shiftCompensationNotList;
        return this;
    }

    /**
     * 设置  体检（天）
     * @param physicalExamination
     */
    public AttendanceStatQuery physicalExamination(BigDecimal physicalExamination){
        setPhysicalExamination(physicalExamination);
        return this;
    }

    /**
     * 设置 开始 体检（天）
     * @param physicalExaminationStart
     */
    public AttendanceStatQuery physicalExaminationStart(BigDecimal physicalExaminationStart){
        this.physicalExaminationStart = physicalExaminationStart;
        return this;
    }

    /**
     * 设置 结束 体检（天）
     * @param physicalExaminationEnd
     */
    public AttendanceStatQuery physicalExaminationEnd(BigDecimal physicalExaminationEnd){
        this.physicalExaminationEnd = physicalExaminationEnd;
        return this;
    }

    /**
     * 设置 增加 体检（天）
     * @param physicalExaminationIncrement
     */
    public AttendanceStatQuery physicalExaminationIncrement(BigDecimal physicalExaminationIncrement){
        this.physicalExaminationIncrement = physicalExaminationIncrement;
        return this;
    }

    /**
     * 设置 体检（天）
     * @param physicalExaminationList
     */
    public AttendanceStatQuery physicalExaminationList(List<BigDecimal> physicalExaminationList){
        this.physicalExaminationList = physicalExaminationList;
        return this;
    }

    /**
     * 设置 体检（天）
     * @param physicalExaminationNotList
     */
    public AttendanceStatQuery physicalExaminationNotList(List<BigDecimal> physicalExaminationNotList){
        this.physicalExaminationNotList = physicalExaminationNotList;
        return this;
    }

    /**
     * 设置  隔离（天）
     * @param quarantine
     */
    public AttendanceStatQuery quarantine(BigDecimal quarantine){
        setQuarantine(quarantine);
        return this;
    }

    /**
     * 设置 开始 隔离（天）
     * @param quarantineStart
     */
    public AttendanceStatQuery quarantineStart(BigDecimal quarantineStart){
        this.quarantineStart = quarantineStart;
        return this;
    }

    /**
     * 设置 结束 隔离（天）
     * @param quarantineEnd
     */
    public AttendanceStatQuery quarantineEnd(BigDecimal quarantineEnd){
        this.quarantineEnd = quarantineEnd;
        return this;
    }

    /**
     * 设置 增加 隔离（天）
     * @param quarantineIncrement
     */
    public AttendanceStatQuery quarantineIncrement(BigDecimal quarantineIncrement){
        this.quarantineIncrement = quarantineIncrement;
        return this;
    }

    /**
     * 设置 隔离（天）
     * @param quarantineList
     */
    public AttendanceStatQuery quarantineList(List<BigDecimal> quarantineList){
        this.quarantineList = quarantineList;
        return this;
    }

    /**
     * 设置 隔离（天）
     * @param quarantineNotList
     */
    public AttendanceStatQuery quarantineNotList(List<BigDecimal> quarantineNotList){
        this.quarantineNotList = quarantineNotList;
        return this;
    }

    /**
     * 设置  因公外出（与窗口工作无关/天）
     * @param businessTrip
     */
    public AttendanceStatQuery businessTrip(BigDecimal businessTrip){
        setBusinessTrip(businessTrip);
        return this;
    }

    /**
     * 设置 开始 因公外出（与窗口工作无关/天）
     * @param businessTripStart
     */
    public AttendanceStatQuery businessTripStart(BigDecimal businessTripStart){
        this.businessTripStart = businessTripStart;
        return this;
    }

    /**
     * 设置 结束 因公外出（与窗口工作无关/天）
     * @param businessTripEnd
     */
    public AttendanceStatQuery businessTripEnd(BigDecimal businessTripEnd){
        this.businessTripEnd = businessTripEnd;
        return this;
    }

    /**
     * 设置 增加 因公外出（与窗口工作无关/天）
     * @param businessTripIncrement
     */
    public AttendanceStatQuery businessTripIncrement(BigDecimal businessTripIncrement){
        this.businessTripIncrement = businessTripIncrement;
        return this;
    }

    /**
     * 设置 因公外出（与窗口工作无关/天）
     * @param businessTripList
     */
    public AttendanceStatQuery businessTripList(List<BigDecimal> businessTripList){
        this.businessTripList = businessTripList;
        return this;
    }

    /**
     * 设置 因公外出（与窗口工作无关/天）
     * @param businessTripNotList
     */
    public AttendanceStatQuery businessTripNotList(List<BigDecimal> businessTripNotList){
        this.businessTripNotList = businessTripNotList;
        return this;
    }

    /**
     * 设置  公休（天）
     * @param publicHoliday
     */
    public AttendanceStatQuery publicHoliday(BigDecimal publicHoliday){
        setPublicHoliday(publicHoliday);
        return this;
    }

    /**
     * 设置 开始 公休（天）
     * @param publicHolidayStart
     */
    public AttendanceStatQuery publicHolidayStart(BigDecimal publicHolidayStart){
        this.publicHolidayStart = publicHolidayStart;
        return this;
    }

    /**
     * 设置 结束 公休（天）
     * @param publicHolidayEnd
     */
    public AttendanceStatQuery publicHolidayEnd(BigDecimal publicHolidayEnd){
        this.publicHolidayEnd = publicHolidayEnd;
        return this;
    }

    /**
     * 设置 增加 公休（天）
     * @param publicHolidayIncrement
     */
    public AttendanceStatQuery publicHolidayIncrement(BigDecimal publicHolidayIncrement){
        this.publicHolidayIncrement = publicHolidayIncrement;
        return this;
    }

    /**
     * 设置 公休（天）
     * @param publicHolidayList
     */
    public AttendanceStatQuery publicHolidayList(List<BigDecimal> publicHolidayList){
        this.publicHolidayList = publicHolidayList;
        return this;
    }

    /**
     * 设置 公休（天）
     * @param publicHolidayNotList
     */
    public AttendanceStatQuery publicHolidayNotList(List<BigDecimal> publicHolidayNotList){
        this.publicHolidayNotList = publicHolidayNotList;
        return this;
    }

    /**
     * 设置  病假（天）
     * @param sickLeave
     */
    public AttendanceStatQuery sickLeave(BigDecimal sickLeave){
        setSickLeave(sickLeave);
        return this;
    }

    /**
     * 设置 开始 病假（天）
     * @param sickLeaveStart
     */
    public AttendanceStatQuery sickLeaveStart(BigDecimal sickLeaveStart){
        this.sickLeaveStart = sickLeaveStart;
        return this;
    }

    /**
     * 设置 结束 病假（天）
     * @param sickLeaveEnd
     */
    public AttendanceStatQuery sickLeaveEnd(BigDecimal sickLeaveEnd){
        this.sickLeaveEnd = sickLeaveEnd;
        return this;
    }

    /**
     * 设置 增加 病假（天）
     * @param sickLeaveIncrement
     */
    public AttendanceStatQuery sickLeaveIncrement(BigDecimal sickLeaveIncrement){
        this.sickLeaveIncrement = sickLeaveIncrement;
        return this;
    }

    /**
     * 设置 病假（天）
     * @param sickLeaveList
     */
    public AttendanceStatQuery sickLeaveList(List<BigDecimal> sickLeaveList){
        this.sickLeaveList = sickLeaveList;
        return this;
    }

    /**
     * 设置 病假（天）
     * @param sickLeaveNotList
     */
    public AttendanceStatQuery sickLeaveNotList(List<BigDecimal> sickLeaveNotList){
        this.sickLeaveNotList = sickLeaveNotList;
        return this;
    }

    /**
     * 设置  丧假（天）
     * @param funeralLeave
     */
    public AttendanceStatQuery funeralLeave(BigDecimal funeralLeave){
        setFuneralLeave(funeralLeave);
        return this;
    }

    /**
     * 设置 开始 丧假（天）
     * @param funeralLeaveStart
     */
    public AttendanceStatQuery funeralLeaveStart(BigDecimal funeralLeaveStart){
        this.funeralLeaveStart = funeralLeaveStart;
        return this;
    }

    /**
     * 设置 结束 丧假（天）
     * @param funeralLeaveEnd
     */
    public AttendanceStatQuery funeralLeaveEnd(BigDecimal funeralLeaveEnd){
        this.funeralLeaveEnd = funeralLeaveEnd;
        return this;
    }

    /**
     * 设置 增加 丧假（天）
     * @param funeralLeaveIncrement
     */
    public AttendanceStatQuery funeralLeaveIncrement(BigDecimal funeralLeaveIncrement){
        this.funeralLeaveIncrement = funeralLeaveIncrement;
        return this;
    }

    /**
     * 设置 丧假（天）
     * @param funeralLeaveList
     */
    public AttendanceStatQuery funeralLeaveList(List<BigDecimal> funeralLeaveList){
        this.funeralLeaveList = funeralLeaveList;
        return this;
    }

    /**
     * 设置 丧假（天）
     * @param funeralLeaveNotList
     */
    public AttendanceStatQuery funeralLeaveNotList(List<BigDecimal> funeralLeaveNotList){
        this.funeralLeaveNotList = funeralLeaveNotList;
        return this;
    }

    /**
     * 设置  婚假（天）
     * @param marriageLeave
     */
    public AttendanceStatQuery marriageLeave(BigDecimal marriageLeave){
        setMarriageLeave(marriageLeave);
        return this;
    }

    /**
     * 设置 开始 婚假（天）
     * @param marriageLeaveStart
     */
    public AttendanceStatQuery marriageLeaveStart(BigDecimal marriageLeaveStart){
        this.marriageLeaveStart = marriageLeaveStart;
        return this;
    }

    /**
     * 设置 结束 婚假（天）
     * @param marriageLeaveEnd
     */
    public AttendanceStatQuery marriageLeaveEnd(BigDecimal marriageLeaveEnd){
        this.marriageLeaveEnd = marriageLeaveEnd;
        return this;
    }

    /**
     * 设置 增加 婚假（天）
     * @param marriageLeaveIncrement
     */
    public AttendanceStatQuery marriageLeaveIncrement(BigDecimal marriageLeaveIncrement){
        this.marriageLeaveIncrement = marriageLeaveIncrement;
        return this;
    }

    /**
     * 设置 婚假（天）
     * @param marriageLeaveList
     */
    public AttendanceStatQuery marriageLeaveList(List<BigDecimal> marriageLeaveList){
        this.marriageLeaveList = marriageLeaveList;
        return this;
    }

    /**
     * 设置 婚假（天）
     * @param marriageLeaveNotList
     */
    public AttendanceStatQuery marriageLeaveNotList(List<BigDecimal> marriageLeaveNotList){
        this.marriageLeaveNotList = marriageLeaveNotList;
        return this;
    }

    /**
     * 设置  育儿假（天）
     * @param childRearingLeave
     */
    public AttendanceStatQuery childRearingLeave(BigDecimal childRearingLeave){
        setChildRearingLeave(childRearingLeave);
        return this;
    }

    /**
     * 设置 开始 育儿假（天）
     * @param childRearingLeaveStart
     */
    public AttendanceStatQuery childRearingLeaveStart(BigDecimal childRearingLeaveStart){
        this.childRearingLeaveStart = childRearingLeaveStart;
        return this;
    }

    /**
     * 设置 结束 育儿假（天）
     * @param childRearingLeaveEnd
     */
    public AttendanceStatQuery childRearingLeaveEnd(BigDecimal childRearingLeaveEnd){
        this.childRearingLeaveEnd = childRearingLeaveEnd;
        return this;
    }

    /**
     * 设置 增加 育儿假（天）
     * @param childRearingLeaveIncrement
     */
    public AttendanceStatQuery childRearingLeaveIncrement(BigDecimal childRearingLeaveIncrement){
        this.childRearingLeaveIncrement = childRearingLeaveIncrement;
        return this;
    }

    /**
     * 设置 育儿假（天）
     * @param childRearingLeaveList
     */
    public AttendanceStatQuery childRearingLeaveList(List<BigDecimal> childRearingLeaveList){
        this.childRearingLeaveList = childRearingLeaveList;
        return this;
    }

    /**
     * 设置 育儿假（天）
     * @param childRearingLeaveNotList
     */
    public AttendanceStatQuery childRearingLeaveNotList(List<BigDecimal> childRearingLeaveNotList){
        this.childRearingLeaveNotList = childRearingLeaveNotList;
        return this;
    }

    /**
     * 设置  产假（天））
     * @param maternityLeave
     */
    public AttendanceStatQuery maternityLeave(BigDecimal maternityLeave){
        setMaternityLeave(maternityLeave);
        return this;
    }

    /**
     * 设置 开始 产假（天））
     * @param maternityLeaveStart
     */
    public AttendanceStatQuery maternityLeaveStart(BigDecimal maternityLeaveStart){
        this.maternityLeaveStart = maternityLeaveStart;
        return this;
    }

    /**
     * 设置 结束 产假（天））
     * @param maternityLeaveEnd
     */
    public AttendanceStatQuery maternityLeaveEnd(BigDecimal maternityLeaveEnd){
        this.maternityLeaveEnd = maternityLeaveEnd;
        return this;
    }

    /**
     * 设置 增加 产假（天））
     * @param maternityLeaveIncrement
     */
    public AttendanceStatQuery maternityLeaveIncrement(BigDecimal maternityLeaveIncrement){
        this.maternityLeaveIncrement = maternityLeaveIncrement;
        return this;
    }

    /**
     * 设置 产假（天））
     * @param maternityLeaveList
     */
    public AttendanceStatQuery maternityLeaveList(List<BigDecimal> maternityLeaveList){
        this.maternityLeaveList = maternityLeaveList;
        return this;
    }

    /**
     * 设置 产假（天））
     * @param maternityLeaveNotList
     */
    public AttendanceStatQuery maternityLeaveNotList(List<BigDecimal> maternityLeaveNotList){
        this.maternityLeaveNotList = maternityLeaveNotList;
        return this;
    }

    /**
     * 设置  调回单位（或离职/天）
     * @param transferBack
     */
    public AttendanceStatQuery transferBack(BigDecimal transferBack){
        setTransferBack(transferBack);
        return this;
    }

    /**
     * 设置 开始 调回单位（或离职/天）
     * @param transferBackStart
     */
    public AttendanceStatQuery transferBackStart(BigDecimal transferBackStart){
        this.transferBackStart = transferBackStart;
        return this;
    }

    /**
     * 设置 结束 调回单位（或离职/天）
     * @param transferBackEnd
     */
    public AttendanceStatQuery transferBackEnd(BigDecimal transferBackEnd){
        this.transferBackEnd = transferBackEnd;
        return this;
    }

    /**
     * 设置 增加 调回单位（或离职/天）
     * @param transferBackIncrement
     */
    public AttendanceStatQuery transferBackIncrement(BigDecimal transferBackIncrement){
        this.transferBackIncrement = transferBackIncrement;
        return this;
    }

    /**
     * 设置 调回单位（或离职/天）
     * @param transferBackList
     */
    public AttendanceStatQuery transferBackList(List<BigDecimal> transferBackList){
        this.transferBackList = transferBackList;
        return this;
    }

    /**
     * 设置 调回单位（或离职/天）
     * @param transferBackNotList
     */
    public AttendanceStatQuery transferBackNotList(List<BigDecimal> transferBackNotList){
        this.transferBackNotList = transferBackNotList;
        return this;
    }

    /**
     * 设置  探亲假（天）
     * @param homeLeave
     */
    public AttendanceStatQuery homeLeave(BigDecimal homeLeave){
        setHomeLeave(homeLeave);
        return this;
    }

    /**
     * 设置 开始 探亲假（天）
     * @param homeLeaveStart
     */
    public AttendanceStatQuery homeLeaveStart(BigDecimal homeLeaveStart){
        this.homeLeaveStart = homeLeaveStart;
        return this;
    }

    /**
     * 设置 结束 探亲假（天）
     * @param homeLeaveEnd
     */
    public AttendanceStatQuery homeLeaveEnd(BigDecimal homeLeaveEnd){
        this.homeLeaveEnd = homeLeaveEnd;
        return this;
    }

    /**
     * 设置 增加 探亲假（天）
     * @param homeLeaveIncrement
     */
    public AttendanceStatQuery homeLeaveIncrement(BigDecimal homeLeaveIncrement){
        this.homeLeaveIncrement = homeLeaveIncrement;
        return this;
    }

    /**
     * 设置 探亲假（天）
     * @param homeLeaveList
     */
    public AttendanceStatQuery homeLeaveList(List<BigDecimal> homeLeaveList){
        this.homeLeaveList = homeLeaveList;
        return this;
    }

    /**
     * 设置 探亲假（天）
     * @param homeLeaveNotList
     */
    public AttendanceStatQuery homeLeaveNotList(List<BigDecimal> homeLeaveNotList){
        this.homeLeaveNotList = homeLeaveNotList;
        return this;
    }

    /**
     * 设置  事假（天）
     * @param personalLeave
     */
    public AttendanceStatQuery personalLeave(BigDecimal personalLeave){
        setPersonalLeave(personalLeave);
        return this;
    }

    /**
     * 设置 开始 事假（天）
     * @param personalLeaveStart
     */
    public AttendanceStatQuery personalLeaveStart(BigDecimal personalLeaveStart){
        this.personalLeaveStart = personalLeaveStart;
        return this;
    }

    /**
     * 设置 结束 事假（天）
     * @param personalLeaveEnd
     */
    public AttendanceStatQuery personalLeaveEnd(BigDecimal personalLeaveEnd){
        this.personalLeaveEnd = personalLeaveEnd;
        return this;
    }

    /**
     * 设置 增加 事假（天）
     * @param personalLeaveIncrement
     */
    public AttendanceStatQuery personalLeaveIncrement(BigDecimal personalLeaveIncrement){
        this.personalLeaveIncrement = personalLeaveIncrement;
        return this;
    }

    /**
     * 设置 事假（天）
     * @param personalLeaveList
     */
    public AttendanceStatQuery personalLeaveList(List<BigDecimal> personalLeaveList){
        this.personalLeaveList = personalLeaveList;
        return this;
    }

    /**
     * 设置 事假（天）
     * @param personalLeaveNotList
     */
    public AttendanceStatQuery personalLeaveNotList(List<BigDecimal> personalLeaveNotList){
        this.personalLeaveNotList = personalLeaveNotList;
        return this;
    }

    /**
     * 设置  考勤汇总-旷工（天）
     * @param absenteeismDays
     */
    public AttendanceStatQuery absenteeismDays(BigDecimal absenteeismDays){
        setAbsenteeismDays(absenteeismDays);
        return this;
    }

    /**
     * 设置 开始 考勤汇总-旷工（天）
     * @param absenteeismDaysStart
     */
    public AttendanceStatQuery absenteeismDaysStart(BigDecimal absenteeismDaysStart){
        this.absenteeismDaysStart = absenteeismDaysStart;
        return this;
    }

    /**
     * 设置 结束 考勤汇总-旷工（天）
     * @param absenteeismDaysEnd
     */
    public AttendanceStatQuery absenteeismDaysEnd(BigDecimal absenteeismDaysEnd){
        this.absenteeismDaysEnd = absenteeismDaysEnd;
        return this;
    }

    /**
     * 设置 增加 考勤汇总-旷工（天）
     * @param absenteeismDaysIncrement
     */
    public AttendanceStatQuery absenteeismDaysIncrement(BigDecimal absenteeismDaysIncrement){
        this.absenteeismDaysIncrement = absenteeismDaysIncrement;
        return this;
    }

    /**
     * 设置 考勤汇总-旷工（天）
     * @param absenteeismDaysList
     */
    public AttendanceStatQuery absenteeismDaysList(List<BigDecimal> absenteeismDaysList){
        this.absenteeismDaysList = absenteeismDaysList;
        return this;
    }

    /**
     * 设置 考勤汇总-旷工（天）
     * @param absenteeismDaysNotList
     */
    public AttendanceStatQuery absenteeismDaysNotList(List<BigDecimal> absenteeismDaysNotList){
        this.absenteeismDaysNotList = absenteeismDaysNotList;
        return this;
    }

    /**
     * 设置  考勤汇总-其他（天）
     * @param otherDays
     */
    public AttendanceStatQuery otherDays(BigDecimal otherDays){
        setOtherDays(otherDays);
        return this;
    }

    /**
     * 设置 开始 考勤汇总-其他（天）
     * @param otherDaysStart
     */
    public AttendanceStatQuery otherDaysStart(BigDecimal otherDaysStart){
        this.otherDaysStart = otherDaysStart;
        return this;
    }

    /**
     * 设置 结束 考勤汇总-其他（天）
     * @param otherDaysEnd
     */
    public AttendanceStatQuery otherDaysEnd(BigDecimal otherDaysEnd){
        this.otherDaysEnd = otherDaysEnd;
        return this;
    }

    /**
     * 设置 增加 考勤汇总-其他（天）
     * @param otherDaysIncrement
     */
    public AttendanceStatQuery otherDaysIncrement(BigDecimal otherDaysIncrement){
        this.otherDaysIncrement = otherDaysIncrement;
        return this;
    }

    /**
     * 设置 考勤汇总-其他（天）
     * @param otherDaysList
     */
    public AttendanceStatQuery otherDaysList(List<BigDecimal> otherDaysList){
        this.otherDaysList = otherDaysList;
        return this;
    }

    /**
     * 设置 考勤汇总-其他（天）
     * @param otherDaysNotList
     */
    public AttendanceStatQuery otherDaysNotList(List<BigDecimal> otherDaysNotList){
        this.otherDaysNotList = otherDaysNotList;
        return this;
    }

    /**
     * 设置  考勤汇总-出勤率（%）
     * @param attendanceRate
     */
    public AttendanceStatQuery attendanceRate(BigDecimal attendanceRate){
        setAttendanceRate(attendanceRate);
        return this;
    }

    /**
     * 设置 开始 考勤汇总-出勤率（%）
     * @param attendanceRateStart
     */
    public AttendanceStatQuery attendanceRateStart(BigDecimal attendanceRateStart){
        this.attendanceRateStart = attendanceRateStart;
        return this;
    }

    /**
     * 设置 结束 考勤汇总-出勤率（%）
     * @param attendanceRateEnd
     */
    public AttendanceStatQuery attendanceRateEnd(BigDecimal attendanceRateEnd){
        this.attendanceRateEnd = attendanceRateEnd;
        return this;
    }

    /**
     * 设置 增加 考勤汇总-出勤率（%）
     * @param attendanceRateIncrement
     */
    public AttendanceStatQuery attendanceRateIncrement(BigDecimal attendanceRateIncrement){
        this.attendanceRateIncrement = attendanceRateIncrement;
        return this;
    }

    /**
     * 设置 考勤汇总-出勤率（%）
     * @param attendanceRateList
     */
    public AttendanceStatQuery attendanceRateList(List<BigDecimal> attendanceRateList){
        this.attendanceRateList = attendanceRateList;
        return this;
    }

    /**
     * 设置 考勤汇总-出勤率（%）
     * @param attendanceRateNotList
     */
    public AttendanceStatQuery attendanceRateNotList(List<BigDecimal> attendanceRateNotList){
        this.attendanceRateNotList = attendanceRateNotList;
        return this;
    }

    /**
     * 设置  考勤汇总-未按规定打卡（含忘记打卡）
     * @param nonCompliancePunch
     */
    public AttendanceStatQuery nonCompliancePunch(BigDecimal nonCompliancePunch){
        setNonCompliancePunch(nonCompliancePunch);
        return this;
    }

    /**
     * 设置 开始 考勤汇总-未按规定打卡（含忘记打卡）
     * @param nonCompliancePunchStart
     */
    public AttendanceStatQuery nonCompliancePunchStart(BigDecimal nonCompliancePunchStart){
        this.nonCompliancePunchStart = nonCompliancePunchStart;
        return this;
    }

    /**
     * 设置 结束 考勤汇总-未按规定打卡（含忘记打卡）
     * @param nonCompliancePunchEnd
     */
    public AttendanceStatQuery nonCompliancePunchEnd(BigDecimal nonCompliancePunchEnd){
        this.nonCompliancePunchEnd = nonCompliancePunchEnd;
        return this;
    }

    /**
     * 设置 增加 考勤汇总-未按规定打卡（含忘记打卡）
     * @param nonCompliancePunchIncrement
     */
    public AttendanceStatQuery nonCompliancePunchIncrement(BigDecimal nonCompliancePunchIncrement){
        this.nonCompliancePunchIncrement = nonCompliancePunchIncrement;
        return this;
    }

    /**
     * 设置 考勤汇总-未按规定打卡（含忘记打卡）
     * @param nonCompliancePunchList
     */
    public AttendanceStatQuery nonCompliancePunchList(List<BigDecimal> nonCompliancePunchList){
        this.nonCompliancePunchList = nonCompliancePunchList;
        return this;
    }

    /**
     * 设置 考勤汇总-未按规定打卡（含忘记打卡）
     * @param nonCompliancePunchNotList
     */
    public AttendanceStatQuery nonCompliancePunchNotList(List<BigDecimal> nonCompliancePunchNotList){
        this.nonCompliancePunchNotList = nonCompliancePunchNotList;
        return this;
    }

    /**
     * 设置  考勤汇总-迟到（次）
     * @param lateTimes
     */
    public AttendanceStatQuery lateTimes(Integer lateTimes){
        setLateTimes(lateTimes);
        return this;
    }

    /**
     * 设置 开始 考勤汇总-迟到（次）
     * @param lateTimesStart
     */
    public AttendanceStatQuery lateTimesStart(Integer lateTimesStart){
        this.lateTimesStart = lateTimesStart;
        return this;
    }

    /**
     * 设置 结束 考勤汇总-迟到（次）
     * @param lateTimesEnd
     */
    public AttendanceStatQuery lateTimesEnd(Integer lateTimesEnd){
        this.lateTimesEnd = lateTimesEnd;
        return this;
    }

    /**
     * 设置 增加 考勤汇总-迟到（次）
     * @param lateTimesIncrement
     */
    public AttendanceStatQuery lateTimesIncrement(Integer lateTimesIncrement){
        this.lateTimesIncrement = lateTimesIncrement;
        return this;
    }

    /**
     * 设置 考勤汇总-迟到（次）
     * @param lateTimesList
     */
    public AttendanceStatQuery lateTimesList(List<Integer> lateTimesList){
        this.lateTimesList = lateTimesList;
        return this;
    }

    /**
     * 设置 考勤汇总-迟到（次）
     * @param lateTimesNotList
     */
    public AttendanceStatQuery lateTimesNotList(List<Integer> lateTimesNotList){
        this.lateTimesNotList = lateTimesNotList;
        return this;
    }

    /**
     * 设置  考勤汇总-上网耍手机（次）
     * @param surfingMobileTimes
     */
    public AttendanceStatQuery surfingMobileTimes(Integer surfingMobileTimes){
        setSurfingMobileTimes(surfingMobileTimes);
        return this;
    }

    /**
     * 设置 开始 考勤汇总-上网耍手机（次）
     * @param surfingMobileTimesStart
     */
    public AttendanceStatQuery surfingMobileTimesStart(Integer surfingMobileTimesStart){
        this.surfingMobileTimesStart = surfingMobileTimesStart;
        return this;
    }

    /**
     * 设置 结束 考勤汇总-上网耍手机（次）
     * @param surfingMobileTimesEnd
     */
    public AttendanceStatQuery surfingMobileTimesEnd(Integer surfingMobileTimesEnd){
        this.surfingMobileTimesEnd = surfingMobileTimesEnd;
        return this;
    }

    /**
     * 设置 增加 考勤汇总-上网耍手机（次）
     * @param surfingMobileTimesIncrement
     */
    public AttendanceStatQuery surfingMobileTimesIncrement(Integer surfingMobileTimesIncrement){
        this.surfingMobileTimesIncrement = surfingMobileTimesIncrement;
        return this;
    }

    /**
     * 设置 考勤汇总-上网耍手机（次）
     * @param surfingMobileTimesList
     */
    public AttendanceStatQuery surfingMobileTimesList(List<Integer> surfingMobileTimesList){
        this.surfingMobileTimesList = surfingMobileTimesList;
        return this;
    }

    /**
     * 设置 考勤汇总-上网耍手机（次）
     * @param surfingMobileTimesNotList
     */
    public AttendanceStatQuery surfingMobileTimesNotList(List<Integer> surfingMobileTimesNotList){
        this.surfingMobileTimesNotList = surfingMobileTimesNotList;
        return this;
    }

    /**
     * 设置  考勤汇总-溜班（次）
     * @param overtimeTimes
     */
    public AttendanceStatQuery overtimeTimes(Integer overtimeTimes){
        setOvertimeTimes(overtimeTimes);
        return this;
    }

    /**
     * 设置 开始 考勤汇总-溜班（次）
     * @param overtimeTimesStart
     */
    public AttendanceStatQuery overtimeTimesStart(Integer overtimeTimesStart){
        this.overtimeTimesStart = overtimeTimesStart;
        return this;
    }

    /**
     * 设置 结束 考勤汇总-溜班（次）
     * @param overtimeTimesEnd
     */
    public AttendanceStatQuery overtimeTimesEnd(Integer overtimeTimesEnd){
        this.overtimeTimesEnd = overtimeTimesEnd;
        return this;
    }

    /**
     * 设置 增加 考勤汇总-溜班（次）
     * @param overtimeTimesIncrement
     */
    public AttendanceStatQuery overtimeTimesIncrement(Integer overtimeTimesIncrement){
        this.overtimeTimesIncrement = overtimeTimesIncrement;
        return this;
    }

    /**
     * 设置 考勤汇总-溜班（次）
     * @param overtimeTimesList
     */
    public AttendanceStatQuery overtimeTimesList(List<Integer> overtimeTimesList){
        this.overtimeTimesList = overtimeTimesList;
        return this;
    }

    /**
     * 设置 考勤汇总-溜班（次）
     * @param overtimeTimesNotList
     */
    public AttendanceStatQuery overtimeTimesNotList(List<Integer> overtimeTimesNotList){
        this.overtimeTimesNotList = overtimeTimesNotList;
        return this;
    }

    /**
     * 设置  考勤汇总-空岗
     * @param vacancy
     */
    public AttendanceStatQuery vacancy(BigDecimal vacancy){
        setVacancy(vacancy);
        return this;
    }

    /**
     * 设置 开始 考勤汇总-空岗
     * @param vacancyStart
     */
    public AttendanceStatQuery vacancyStart(BigDecimal vacancyStart){
        this.vacancyStart = vacancyStart;
        return this;
    }

    /**
     * 设置 结束 考勤汇总-空岗
     * @param vacancyEnd
     */
    public AttendanceStatQuery vacancyEnd(BigDecimal vacancyEnd){
        this.vacancyEnd = vacancyEnd;
        return this;
    }

    /**
     * 设置 增加 考勤汇总-空岗
     * @param vacancyIncrement
     */
    public AttendanceStatQuery vacancyIncrement(BigDecimal vacancyIncrement){
        this.vacancyIncrement = vacancyIncrement;
        return this;
    }

    /**
     * 设置 考勤汇总-空岗
     * @param vacancyList
     */
    public AttendanceStatQuery vacancyList(List<BigDecimal> vacancyList){
        this.vacancyList = vacancyList;
        return this;
    }

    /**
     * 设置 考勤汇总-空岗
     * @param vacancyNotList
     */
    public AttendanceStatQuery vacancyNotList(List<BigDecimal> vacancyNotList){
        this.vacancyNotList = vacancyNotList;
        return this;
    }

    /**
     * 设置  考勤汇总-未规范着装（次）
     * @param nonStandardDressTimes
     */
    public AttendanceStatQuery nonStandardDressTimes(Integer nonStandardDressTimes){
        setNonStandardDressTimes(nonStandardDressTimes);
        return this;
    }

    /**
     * 设置 开始 考勤汇总-未规范着装（次）
     * @param nonStandardDressTimesStart
     */
    public AttendanceStatQuery nonStandardDressTimesStart(Integer nonStandardDressTimesStart){
        this.nonStandardDressTimesStart = nonStandardDressTimesStart;
        return this;
    }

    /**
     * 设置 结束 考勤汇总-未规范着装（次）
     * @param nonStandardDressTimesEnd
     */
    public AttendanceStatQuery nonStandardDressTimesEnd(Integer nonStandardDressTimesEnd){
        this.nonStandardDressTimesEnd = nonStandardDressTimesEnd;
        return this;
    }

    /**
     * 设置 增加 考勤汇总-未规范着装（次）
     * @param nonStandardDressTimesIncrement
     */
    public AttendanceStatQuery nonStandardDressTimesIncrement(Integer nonStandardDressTimesIncrement){
        this.nonStandardDressTimesIncrement = nonStandardDressTimesIncrement;
        return this;
    }

    /**
     * 设置 考勤汇总-未规范着装（次）
     * @param nonStandardDressTimesList
     */
    public AttendanceStatQuery nonStandardDressTimesList(List<Integer> nonStandardDressTimesList){
        this.nonStandardDressTimesList = nonStandardDressTimesList;
        return this;
    }

    /**
     * 设置 考勤汇总-未规范着装（次）
     * @param nonStandardDressTimesNotList
     */
    public AttendanceStatQuery nonStandardDressTimesNotList(List<Integer> nonStandardDressTimesNotList){
        this.nonStandardDressTimesNotList = nonStandardDressTimesNotList;
        return this;
    }

    /**
     * 设置  考勤汇总-无故缺席会议
     * @param unexcusedMeetingAbsence
     */
    public AttendanceStatQuery unexcusedMeetingAbsence(BigDecimal unexcusedMeetingAbsence){
        setUnexcusedMeetingAbsence(unexcusedMeetingAbsence);
        return this;
    }

    /**
     * 设置 开始 考勤汇总-无故缺席会议
     * @param unexcusedMeetingAbsenceStart
     */
    public AttendanceStatQuery unexcusedMeetingAbsenceStart(BigDecimal unexcusedMeetingAbsenceStart){
        this.unexcusedMeetingAbsenceStart = unexcusedMeetingAbsenceStart;
        return this;
    }

    /**
     * 设置 结束 考勤汇总-无故缺席会议
     * @param unexcusedMeetingAbsenceEnd
     */
    public AttendanceStatQuery unexcusedMeetingAbsenceEnd(BigDecimal unexcusedMeetingAbsenceEnd){
        this.unexcusedMeetingAbsenceEnd = unexcusedMeetingAbsenceEnd;
        return this;
    }

    /**
     * 设置 增加 考勤汇总-无故缺席会议
     * @param unexcusedMeetingAbsenceIncrement
     */
    public AttendanceStatQuery unexcusedMeetingAbsenceIncrement(BigDecimal unexcusedMeetingAbsenceIncrement){
        this.unexcusedMeetingAbsenceIncrement = unexcusedMeetingAbsenceIncrement;
        return this;
    }

    /**
     * 设置 考勤汇总-无故缺席会议
     * @param unexcusedMeetingAbsenceList
     */
    public AttendanceStatQuery unexcusedMeetingAbsenceList(List<BigDecimal> unexcusedMeetingAbsenceList){
        this.unexcusedMeetingAbsenceList = unexcusedMeetingAbsenceList;
        return this;
    }

    /**
     * 设置 考勤汇总-无故缺席会议
     * @param unexcusedMeetingAbsenceNotList
     */
    public AttendanceStatQuery unexcusedMeetingAbsenceNotList(List<BigDecimal> unexcusedMeetingAbsenceNotList){
        this.unexcusedMeetingAbsenceNotList = unexcusedMeetingAbsenceNotList;
        return this;
    }

    /**
     * 设置  考勤汇总-会议早退
     * @param earlyLeaveMeeting
     */
    public AttendanceStatQuery earlyLeaveMeeting(BigDecimal earlyLeaveMeeting){
        setEarlyLeaveMeeting(earlyLeaveMeeting);
        return this;
    }

    /**
     * 设置 开始 考勤汇总-会议早退
     * @param earlyLeaveMeetingStart
     */
    public AttendanceStatQuery earlyLeaveMeetingStart(BigDecimal earlyLeaveMeetingStart){
        this.earlyLeaveMeetingStart = earlyLeaveMeetingStart;
        return this;
    }

    /**
     * 设置 结束 考勤汇总-会议早退
     * @param earlyLeaveMeetingEnd
     */
    public AttendanceStatQuery earlyLeaveMeetingEnd(BigDecimal earlyLeaveMeetingEnd){
        this.earlyLeaveMeetingEnd = earlyLeaveMeetingEnd;
        return this;
    }

    /**
     * 设置 增加 考勤汇总-会议早退
     * @param earlyLeaveMeetingIncrement
     */
    public AttendanceStatQuery earlyLeaveMeetingIncrement(BigDecimal earlyLeaveMeetingIncrement){
        this.earlyLeaveMeetingIncrement = earlyLeaveMeetingIncrement;
        return this;
    }

    /**
     * 设置 考勤汇总-会议早退
     * @param earlyLeaveMeetingList
     */
    public AttendanceStatQuery earlyLeaveMeetingList(List<BigDecimal> earlyLeaveMeetingList){
        this.earlyLeaveMeetingList = earlyLeaveMeetingList;
        return this;
    }

    /**
     * 设置 考勤汇总-会议早退
     * @param earlyLeaveMeetingNotList
     */
    public AttendanceStatQuery earlyLeaveMeetingNotList(List<BigDecimal> earlyLeaveMeetingNotList){
        this.earlyLeaveMeetingNotList = earlyLeaveMeetingNotList;
        return this;
    }

    /**
     * 设置  年
     * @param year
     */
    public AttendanceStatQuery year(Integer year){
        setYear(year);
        return this;
    }

    /**
     * 设置 开始 年
     * @param yearStart
     */
    public AttendanceStatQuery yearStart(Integer yearStart){
        this.yearStart = yearStart;
        return this;
    }

    /**
     * 设置 结束 年
     * @param yearEnd
     */
    public AttendanceStatQuery yearEnd(Integer yearEnd){
        this.yearEnd = yearEnd;
        return this;
    }

    /**
     * 设置 增加 年
     * @param yearIncrement
     */
    public AttendanceStatQuery yearIncrement(Integer yearIncrement){
        this.yearIncrement = yearIncrement;
        return this;
    }

    /**
     * 设置 年
     * @param yearList
     */
    public AttendanceStatQuery yearList(List<Integer> yearList){
        this.yearList = yearList;
        return this;
    }

    /**
     * 设置 年
     * @param yearNotList
     */
    public AttendanceStatQuery yearNotList(List<Integer> yearNotList){
        this.yearNotList = yearNotList;
        return this;
    }

    /**
     * 设置  月
     * @param month
     */
    public AttendanceStatQuery month(Integer month){
        setMonth(month);
        return this;
    }

    /**
     * 设置 开始 月
     * @param monthStart
     */
    public AttendanceStatQuery monthStart(Integer monthStart){
        this.monthStart = monthStart;
        return this;
    }

    /**
     * 设置 结束 月
     * @param monthEnd
     */
    public AttendanceStatQuery monthEnd(Integer monthEnd){
        this.monthEnd = monthEnd;
        return this;
    }

    /**
     * 设置 增加 月
     * @param monthIncrement
     */
    public AttendanceStatQuery monthIncrement(Integer monthIncrement){
        this.monthIncrement = monthIncrement;
        return this;
    }

    /**
     * 设置 月
     * @param monthList
     */
    public AttendanceStatQuery monthList(List<Integer> monthList){
        this.monthList = monthList;
        return this;
    }

    /**
     * 设置 月
     * @param monthNotList
     */
    public AttendanceStatQuery monthNotList(List<Integer> monthNotList){
        this.monthNotList = monthNotList;
        return this;
    }

    /**
     * 设置  日
     * @param day
     */
    public AttendanceStatQuery day(Integer day){
        setDay(day);
        return this;
    }

    /**
     * 设置 开始 日
     * @param dayStart
     */
    public AttendanceStatQuery dayStart(Integer dayStart){
        this.dayStart = dayStart;
        return this;
    }

    /**
     * 设置 结束 日
     * @param dayEnd
     */
    public AttendanceStatQuery dayEnd(Integer dayEnd){
        this.dayEnd = dayEnd;
        return this;
    }

    /**
     * 设置 增加 日
     * @param dayIncrement
     */
    public AttendanceStatQuery dayIncrement(Integer dayIncrement){
        this.dayIncrement = dayIncrement;
        return this;
    }

    /**
     * 设置 日
     * @param dayList
     */
    public AttendanceStatQuery dayList(List<Integer> dayList){
        this.dayList = dayList;
        return this;
    }

    /**
     * 设置 日
     * @param dayNotList
     */
    public AttendanceStatQuery dayNotList(List<Integer> dayNotList){
        this.dayNotList = dayNotList;
        return this;
    }


    /**
     * 设置 备注
     * @param remark
     */
    public AttendanceStatQuery remark(String remark){
        setRemark(remark);
        return this;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public AttendanceStatQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
        return this;
    }

    /**
     * 设置  创建用户
     * @param createUserId
     */
    public AttendanceStatQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public AttendanceStatQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public AttendanceStatQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public AttendanceStatQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public AttendanceStatQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public AttendanceStatQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }


    /**
     * 设置  更新用户
     * @param updateUserId
     */
    public AttendanceStatQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新用户
     * @param updateUserIdStart
     */
    public AttendanceStatQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新用户
     * @param updateUserIdEnd
     */
    public AttendanceStatQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新用户
     * @param updateUserIdIncrement
     */
    public AttendanceStatQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdList
     */
    public AttendanceStatQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新用户
     * @param updateUserIdNotList
     */
    public AttendanceStatQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }


    /**
     * 设置  哺乳假（天）
     * @param breastfeedingLeaveDays
     */
    public AttendanceStatQuery breastfeedingLeaveDays(BigDecimal breastfeedingLeaveDays){
        setBreastfeedingLeaveDays(breastfeedingLeaveDays);
        return this;
    }

    /**
     * 设置 开始 哺乳假（天）
     * @param breastfeedingLeaveDaysStart
     */
    public AttendanceStatQuery breastfeedingLeaveDaysStart(BigDecimal breastfeedingLeaveDaysStart){
        this.breastfeedingLeaveDaysStart = breastfeedingLeaveDaysStart;
        return this;
    }

    /**
     * 设置 结束 哺乳假（天）
     * @param breastfeedingLeaveDaysEnd
     */
    public AttendanceStatQuery breastfeedingLeaveDaysEnd(BigDecimal breastfeedingLeaveDaysEnd){
        this.breastfeedingLeaveDaysEnd = breastfeedingLeaveDaysEnd;
        return this;
    }

    /**
     * 设置 增加 哺乳假（天）
     * @param breastfeedingLeaveDaysIncrement
     */
    public AttendanceStatQuery breastfeedingLeaveDaysIncrement(BigDecimal breastfeedingLeaveDaysIncrement){
        this.breastfeedingLeaveDaysIncrement = breastfeedingLeaveDaysIncrement;
        return this;
    }

    /**
     * 设置 哺乳假（天）
     * @param breastfeedingLeaveDaysList
     */
    public AttendanceStatQuery breastfeedingLeaveDaysList(List<BigDecimal> breastfeedingLeaveDaysList){
        this.breastfeedingLeaveDaysList = breastfeedingLeaveDaysList;
        return this;
    }

    /**
     * 设置 哺乳假（天）
     * @param breastfeedingLeaveDaysNotList
     */
    public AttendanceStatQuery breastfeedingLeaveDaysNotList(List<BigDecimal> breastfeedingLeaveDaysNotList){
        this.breastfeedingLeaveDaysNotList = breastfeedingLeaveDaysNotList;
        return this;
    }

    /**
     * 设置  例假（天）
     * @param menstrualLeaveDays
     */
    public AttendanceStatQuery menstrualLeaveDays(BigDecimal menstrualLeaveDays){
        setMenstrualLeaveDays(menstrualLeaveDays);
        return this;
    }

    /**
     * 设置 开始 例假（天）
     * @param menstrualLeaveDaysStart
     */
    public AttendanceStatQuery menstrualLeaveDaysStart(BigDecimal menstrualLeaveDaysStart){
        this.menstrualLeaveDaysStart = menstrualLeaveDaysStart;
        return this;
    }

    /**
     * 设置 结束 例假（天）
     * @param menstrualLeaveDaysEnd
     */
    public AttendanceStatQuery menstrualLeaveDaysEnd(BigDecimal menstrualLeaveDaysEnd){
        this.menstrualLeaveDaysEnd = menstrualLeaveDaysEnd;
        return this;
    }

    /**
     * 设置 增加 例假（天）
     * @param menstrualLeaveDaysIncrement
     */
    public AttendanceStatQuery menstrualLeaveDaysIncrement(BigDecimal menstrualLeaveDaysIncrement){
        this.menstrualLeaveDaysIncrement = menstrualLeaveDaysIncrement;
        return this;
    }

    /**
     * 设置 例假（天）
     * @param menstrualLeaveDaysList
     */
    public AttendanceStatQuery menstrualLeaveDaysList(List<BigDecimal> menstrualLeaveDaysList){
        this.menstrualLeaveDaysList = menstrualLeaveDaysList;
        return this;
    }

    /**
     * 设置 例假（天）
     * @param menstrualLeaveDaysNotList
     */
    public AttendanceStatQuery menstrualLeaveDaysNotList(List<BigDecimal> menstrualLeaveDaysNotList){
        this.menstrualLeaveDaysNotList = menstrualLeaveDaysNotList;
        return this;
    }

    /**
     * 设置  年假（天）
     * @param annualLeaveDays
     */
    public AttendanceStatQuery annualLeaveDays(BigDecimal annualLeaveDays){
        setAnnualLeaveDays(annualLeaveDays);
        return this;
    }

    /**
     * 设置 开始 年假（天）
     * @param annualLeaveDaysStart
     */
    public AttendanceStatQuery annualLeaveDaysStart(BigDecimal annualLeaveDaysStart){
        this.annualLeaveDaysStart = annualLeaveDaysStart;
        return this;
    }

    /**
     * 设置 结束 年假（天）
     * @param annualLeaveDaysEnd
     */
    public AttendanceStatQuery annualLeaveDaysEnd(BigDecimal annualLeaveDaysEnd){
        this.annualLeaveDaysEnd = annualLeaveDaysEnd;
        return this;
    }

    /**
     * 设置 增加 年假（天）
     * @param annualLeaveDaysIncrement
     */
    public AttendanceStatQuery annualLeaveDaysIncrement(BigDecimal annualLeaveDaysIncrement){
        this.annualLeaveDaysIncrement = annualLeaveDaysIncrement;
        return this;
    }

    /**
     * 设置 年假（天）
     * @param annualLeaveDaysList
     */
    public AttendanceStatQuery annualLeaveDaysList(List<BigDecimal> annualLeaveDaysList){
        this.annualLeaveDaysList = annualLeaveDaysList;
        return this;
    }

    /**
     * 设置 年假（天）
     * @param annualLeaveDaysNotList
     */
    public AttendanceStatQuery annualLeaveDaysNotList(List<BigDecimal> annualLeaveDaysNotList){
        this.annualLeaveDaysNotList = annualLeaveDaysNotList;
        return this;
    }

    /**
     * 设置  调休（天）
     * @param compensatedLeaveDays
     */
    public AttendanceStatQuery compensatedLeaveDays(BigDecimal compensatedLeaveDays){
        setCompensatedLeaveDays(compensatedLeaveDays);
        return this;
    }

    /**
     * 设置 开始 调休（天）
     * @param compensatedLeaveDaysStart
     */
    public AttendanceStatQuery compensatedLeaveDaysStart(BigDecimal compensatedLeaveDaysStart){
        this.compensatedLeaveDaysStart = compensatedLeaveDaysStart;
        return this;
    }

    /**
     * 设置 结束 调休（天）
     * @param compensatedLeaveDaysEnd
     */
    public AttendanceStatQuery compensatedLeaveDaysEnd(BigDecimal compensatedLeaveDaysEnd){
        this.compensatedLeaveDaysEnd = compensatedLeaveDaysEnd;
        return this;
    }

    /**
     * 设置 增加 调休（天）
     * @param compensatedLeaveDaysIncrement
     */
    public AttendanceStatQuery compensatedLeaveDaysIncrement(BigDecimal compensatedLeaveDaysIncrement){
        this.compensatedLeaveDaysIncrement = compensatedLeaveDaysIncrement;
        return this;
    }

    /**
     * 设置 调休（天）
     * @param compensatedLeaveDaysList
     */
    public AttendanceStatQuery compensatedLeaveDaysList(List<BigDecimal> compensatedLeaveDaysList){
        this.compensatedLeaveDaysList = compensatedLeaveDaysList;
        return this;
    }

    /**
     * 设置 调休（天）
     * @param compensatedLeaveDaysNotList
     */
    public AttendanceStatQuery compensatedLeaveDaysNotList(List<BigDecimal> compensatedLeaveDaysNotList){
        this.compensatedLeaveDaysNotList = compensatedLeaveDaysNotList;
        return this;
    }

    /**
     * 设置  陪产假（天）
     * @param paternityLeaveDays
     */
    public AttendanceStatQuery paternityLeaveDays(BigDecimal paternityLeaveDays){
        setPaternityLeaveDays(paternityLeaveDays);
        return this;
    }

    /**
     * 设置 开始 陪产假（天）
     * @param paternityLeaveDaysStart
     */
    public AttendanceStatQuery paternityLeaveDaysStart(BigDecimal paternityLeaveDaysStart){
        this.paternityLeaveDaysStart = paternityLeaveDaysStart;
        return this;
    }

    /**
     * 设置 结束 陪产假（天）
     * @param paternityLeaveDaysEnd
     */
    public AttendanceStatQuery paternityLeaveDaysEnd(BigDecimal paternityLeaveDaysEnd){
        this.paternityLeaveDaysEnd = paternityLeaveDaysEnd;
        return this;
    }

    /**
     * 设置 增加 陪产假（天）
     * @param paternityLeaveDaysIncrement
     */
    public AttendanceStatQuery paternityLeaveDaysIncrement(BigDecimal paternityLeaveDaysIncrement){
        this.paternityLeaveDaysIncrement = paternityLeaveDaysIncrement;
        return this;
    }

    /**
     * 设置 陪产假（天）
     * @param paternityLeaveDaysList
     */
    public AttendanceStatQuery paternityLeaveDaysList(List<BigDecimal> paternityLeaveDaysList){
        this.paternityLeaveDaysList = paternityLeaveDaysList;
        return this;
    }

    /**
     * 设置 陪产假（天）
     * @param paternityLeaveDaysNotList
     */
    public AttendanceStatQuery paternityLeaveDaysNotList(List<BigDecimal> paternityLeaveDaysNotList){
        this.paternityLeaveDaysNotList = paternityLeaveDaysNotList;
        return this;
    }


    /**
     * 设置 手机号码
     * @param phoneNumer
     */
    public AttendanceStatQuery phoneNumer(String phoneNumer){
        setPhoneNumer(phoneNumer);
        return this;
    }

    /**
     * 设置 手机号码
     * @param phoneNumerList
     */
    public AttendanceStatQuery phoneNumerList(List<String> phoneNumerList){
        this.phoneNumerList = phoneNumerList;
        return this;
    }

    /**
     * 设置  出勤天数
     * @param goTimes
     */
    public AttendanceStatQuery goTimes(Integer goTimes){
        setGoTimes(goTimes);
        return this;
    }

    /**
     * 设置 开始 出勤天数
     * @param goTimesStart
     */
    public AttendanceStatQuery goTimesStart(Integer goTimesStart){
        this.goTimesStart = goTimesStart;
        return this;
    }

    /**
     * 设置 结束 出勤天数
     * @param goTimesEnd
     */
    public AttendanceStatQuery goTimesEnd(Integer goTimesEnd){
        this.goTimesEnd = goTimesEnd;
        return this;
    }

    /**
     * 设置 增加 出勤天数
     * @param goTimesIncrement
     */
    public AttendanceStatQuery goTimesIncrement(Integer goTimesIncrement){
        this.goTimesIncrement = goTimesIncrement;
        return this;
    }

    /**
     * 设置 出勤天数
     * @param goTimesList
     */
    public AttendanceStatQuery goTimesList(List<Integer> goTimesList){
        this.goTimesList = goTimesList;
        return this;
    }

    /**
     * 设置 出勤天数
     * @param goTimesNotList
     */
    public AttendanceStatQuery goTimesNotList(List<Integer> goTimesNotList){
        this.goTimesNotList = goTimesNotList;
        return this;
    }

    /**
     * 设置  上午缺卡次数
     * @param morningTimes
     */
    public AttendanceStatQuery morningTimes(Integer morningTimes){
        setMorningTimes(morningTimes);
        return this;
    }

    /**
     * 设置 开始 上午缺卡次数
     * @param morningTimesStart
     */
    public AttendanceStatQuery morningTimesStart(Integer morningTimesStart){
        this.morningTimesStart = morningTimesStart;
        return this;
    }

    /**
     * 设置 结束 上午缺卡次数
     * @param morningTimesEnd
     */
    public AttendanceStatQuery morningTimesEnd(Integer morningTimesEnd){
        this.morningTimesEnd = morningTimesEnd;
        return this;
    }

    /**
     * 设置 增加 上午缺卡次数
     * @param morningTimesIncrement
     */
    public AttendanceStatQuery morningTimesIncrement(Integer morningTimesIncrement){
        this.morningTimesIncrement = morningTimesIncrement;
        return this;
    }

    /**
     * 设置 上午缺卡次数
     * @param morningTimesList
     */
    public AttendanceStatQuery morningTimesList(List<Integer> morningTimesList){
        this.morningTimesList = morningTimesList;
        return this;
    }

    /**
     * 设置 上午缺卡次数
     * @param morningTimesNotList
     */
    public AttendanceStatQuery morningTimesNotList(List<Integer> morningTimesNotList){
        this.morningTimesNotList = morningTimesNotList;
        return this;
    }

    /**
     * 设置  下午缺卡次数
     * @param afternoonTimes
     */
    public AttendanceStatQuery afternoonTimes(Integer afternoonTimes){
        setAfternoonTimes(afternoonTimes);
        return this;
    }

    /**
     * 设置 开始 下午缺卡次数
     * @param afternoonTimesStart
     */
    public AttendanceStatQuery afternoonTimesStart(Integer afternoonTimesStart){
        this.afternoonTimesStart = afternoonTimesStart;
        return this;
    }

    /**
     * 设置 结束 下午缺卡次数
     * @param afternoonTimesEnd
     */
    public AttendanceStatQuery afternoonTimesEnd(Integer afternoonTimesEnd){
        this.afternoonTimesEnd = afternoonTimesEnd;
        return this;
    }

    /**
     * 设置 增加 下午缺卡次数
     * @param afternoonTimesIncrement
     */
    public AttendanceStatQuery afternoonTimesIncrement(Integer afternoonTimesIncrement){
        this.afternoonTimesIncrement = afternoonTimesIncrement;
        return this;
    }

    /**
     * 设置 下午缺卡次数
     * @param afternoonTimesList
     */
    public AttendanceStatQuery afternoonTimesList(List<Integer> afternoonTimesList){
        this.afternoonTimesList = afternoonTimesList;
        return this;
    }

    /**
     * 设置 下午缺卡次数
     * @param afternoonTimesNotList
     */
    public AttendanceStatQuery afternoonTimesNotList(List<Integer> afternoonTimesNotList){
        this.afternoonTimesNotList = afternoonTimesNotList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<AttendanceStatQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<AttendanceStatQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<AttendanceStatQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<AttendanceStatQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}