package com.mortals.xhx.module.attendance.web;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.attendance.model.AttendanceGroupFixedworkEntity;
import com.mortals.xhx.module.attendance.service.AttendanceGroupFixedworkService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 考勤组考勤固定工时
*
* @author zxfei
* @date 2023-04-08
*/
@RestController
@RequestMapping("attendance/group/fixedwork")
public class AttendanceGroupFixedworkController extends BaseCRUDJsonBodyMappingController<AttendanceGroupFixedworkService,AttendanceGroupFixedworkEntity,Long> {

    @Autowired
    private ParamService paramService;

    public AttendanceGroupFixedworkController(){
        super.setModuleDesc( "考勤组考勤固定工时");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "monday", paramService.getParamBySecondOrganize("AttendanceGroupFixedwork","monday"));
        this.addDict(model, "tuesday", paramService.getParamBySecondOrganize("AttendanceGroupFixedwork","tuesday"));
        this.addDict(model, "wednesday", paramService.getParamBySecondOrganize("AttendanceGroupFixedwork","wednesday"));
        this.addDict(model, "thursday", paramService.getParamBySecondOrganize("AttendanceGroupFixedwork","thursday"));
        this.addDict(model, "friday", paramService.getParamBySecondOrganize("AttendanceGroupFixedwork","friday"));
        this.addDict(model, "saturday", paramService.getParamBySecondOrganize("AttendanceGroupFixedwork","saturday"));
        this.addDict(model, "sunday", paramService.getParamBySecondOrganize("AttendanceGroupFixedwork","sunday"));
        this.addDict(model, "holidays", paramService.getParamBySecondOrganize("AttendanceGroupFixedwork","holidays"));
        super.init(model, context);
    }


}