package com.mortals.xhx.module.check.dao.ibatis;


import com.mortals.xhx.module.check.model.vo.StaffCheckSummaryQuery;
import com.mortals.xhx.module.check.model.vo.StaffCheckSummaryVo;
import com.mortals.xhx.module.dept.model.DeptPerformStatEntity;
import com.mortals.xhx.module.staff.model.StaffPerformStatEntity;
import org.springframework.stereotype.Repository;
import com.mortals.xhx.module.check.dao.CheckEffectRecordDao;
import com.mortals.xhx.module.check.model.CheckEffectRecordEntity;
import java.util.Date;
import com.mortals.framework.dao.ibatis.BaseCRUDDaoMybatis;
import java.util.List;
/**
* 效能绩效核查信息DaoImpl DAO接口
*
* @author zxfei
* @date 2023-07-11
*/
@Repository("checkEffectRecordDao")
public class CheckEffectRecordDaoImpl extends BaseCRUDDaoMybatis<CheckEffectRecordEntity,Long> implements CheckEffectRecordDao {


    @Override
    public List<StaffCheckSummaryVo> summaryCheck(StaffCheckSummaryQuery query) {
        return this.getSqlSession().selectList(this.getSqlId("getSummaryCheckList"), query);
    }

    @Override
    public List<StaffPerformStatEntity> getStaffPerformStat(StaffCheckSummaryQuery query) {
        return this.getSqlSession().selectList(this.getSqlId("getStaffPerformStat"), query);
    }

    @Override
    public List<DeptPerformStatEntity> getDeptPerformStat(StaffCheckSummaryQuery query) {
        return this.getSqlSession().selectList(this.getSqlId("getDeptPerformStat"), query);
    }
}
