package com.mortals.xhx.module.check.model.vo;

import lombok.Data;

import java.math.BigDecimal;

/**
 * 员工绩效核查汇总结果视图
 */
@Data
public class StaffCheckSummaryVo {
    /**
     * 员工ID
     */
    private Long staffId;
    /**
     * 员工姓名
     */
    private String staffName;
    /**
     * 工号
     */
    private String workNum;
    /**
     * 所属部门
     */
    private Long deptId;
    /**
     * 所属部门名称
     */
    private String deptName;
    /**
     * 汇总分值
     */
    private BigDecimal sumScore;
    /**
     * 年
     */
    private Integer year;
    /**
     * 月
     */
    private Integer month;
}
