package com.mortals.xhx.module.dept.dao;

import com.mortals.framework.dao.ICRUDDao;
import com.mortals.xhx.module.dept.model.DeptPerformStatEntity;
import com.mortals.xhx.module.dept.model.vo.DeptSummaryTopQuery;

import java.util.List;
/**
* 部门绩效分数统计Dao
* 部门绩效分数统计 DAO接口
*
* @author zxfei
* @date 2023-05-16
*/

public interface  DeptPerformStatDao extends ICRUDDao<DeptPerformStatEntity,Long>{

    /**
     * 按天top10
     * @param query
     * @return
     */
    List<DeptPerformStatEntity> getDaySummaryList(DeptSummaryTopQuery query);
    /**
     * 按月top10
     * @param query
     * @return
     */
    List<DeptPerformStatEntity> getMonthSummaryList(DeptSummaryTopQuery query);
    /**
     * 按年top10
     * @param query
     * @return
     */
    List<DeptPerformStatEntity> getYearSummaryList(DeptSummaryTopQuery query);
}
