package com.mortals.xhx.module.feedback.web;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.base.system.user.model.UserQuery;
import com.mortals.xhx.base.system.user.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;

import javax.jws.soap.SOAPBinding;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.feedback.model.FeedbackAnswerEntity;
import com.mortals.xhx.module.feedback.service.FeedbackAnswerService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 绩效问题回答
*
* @author zxfei
* @date 2023-07-05
*/
@RestController
@RequestMapping("feedback/answer")
public class FeedbackAnswerController extends BaseCRUDJsonBodyMappingController<FeedbackAnswerService,FeedbackAnswerEntity,Long> {

    @Autowired
    private ParamService paramService;


    public FeedbackAnswerController(){
        super.setModuleDesc( "绩效问题回答");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "questionType", paramService.getParamBySecondOrganize("FeedbackAnswer","questionType"));

        super.init(model, context);
    }


}