package com.mortals.xhx.module.hik.door.service;


import com.mortals.framework.common.Rest;
import com.mortals.xhx.module.hik.door.model.req.door.DoorEventReq;
import com.mortals.xhx.module.hik.door.model.rsp.door.DoorEventDataInfo;

/**
 * 海康门禁接口对接类
 *
 * @author:
 * @date: 2023/4/12 17:47
 */
public interface IHikDoorService {

    /**
     * 获取门禁事件
     *
     * @author:
     * @date: 2023/4/13 10:24
     */
    Rest<DoorEventDataInfo> getDoorEvents(DoorEventReq doorEventReq);
}
