package com.mortals.xhx.module.job.model.vo;

import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.job.model.JobEntity;
import com.mortals.xhx.module.staff.model.StaffEntity;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * 职位信息视图对象
 *
 * @author zxfei
 * @date 2023-04-07
 */
@Data
public class JobVo extends BaseEntityLong {
    /**
     * 子站点业务
     */
    private List<JobEntity> children = new ArrayList<>();

    private List<StaffEntity> staffEntities ;
}