package com.mortals.xhx.module.perform.model.vo;

import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.perform.model.PerformPerposeDeptEntity;
import com.mortals.xhx.module.perform.model.PerformPerposeEntity;

import java.util.ArrayList;
import java.util.List;

import com.mortals.xhx.module.perform.model.PerformPerposeStaffEntity;
import lombok.Data;

/**
 * 考核目标视图对象
 *
 * @author zxfei
 * @date 2023-05-16
 */
@Data
public class PerformPerposeVo extends BaseEntityLong {

    /**
     * 员工目标
     */
    private List<PerformPerposeStaffEntity> perposeStaffList;
    /**
     * 部门目标
     */
    private List<PerformPerposeDeptEntity> perposeDeptList;


    private String staffPerpose;

    private String deptPerpose;

}