package com.mortals.xhx.module.perform.service;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.perform.model.PerformComplainRecordEntity;
import com.mortals.xhx.module.perform.dao.PerformComplainRecordDao;
/**
* PerformComplainRecordService
*
* 评价绩效投诉记录信息 service接口
*
* @author zxfei
* @date 2023-07-11
*/
public interface PerformComplainRecordService extends ICRUDService<PerformComplainRecordEntity,Long>{

    PerformComplainRecordDao getDao();

    /**
     * 修改处理状态
     * @param id
     * @param status
     * @throws AppException
     */
    void updateProcessStatus(Long id,Integer status) throws AppException;

}