package com.mortals.xhx.module.perform.service;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.perform.model.PerformOtherRecordEntity;
import com.mortals.xhx.module.perform.dao.PerformOtherRecordDao;
/**
* PerformOtherRecordService
*
* 其它绩效记录信息 service接口
*
* @author zxfei
* @date 2023-07-11
*/
public interface PerformOtherRecordService extends ICRUDService<PerformOtherRecordEntity,Long>{

    PerformOtherRecordDao getDao();

    /**
     * 修改处理状态
     * @param id
     * @param status
     * @throws AppException
     */
    void updateProcessStatus(Long id,Integer status) throws AppException;

}