package com.mortals.xhx.module.perform.service;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.service.ICRUDCacheService;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.perform.model.PerformRulesEntity;
import com.mortals.xhx.module.perform.dao.PerformRulesDao;

import java.util.List;
import java.util.Map;

/**
* PerformRulesService
*
* 绩效规则信息 service接口
*
* @author zxfei
* @date 2023-05-16
*/
public interface PerformRulesService extends ICRUDCacheService<PerformRulesEntity,Long> {

    PerformRulesDao getDao();

    /**
     * 规则分数统计
     * @return
     * @throws AppException
     */
    Map<String,Object> summaryRules() throws AppException;
}