package com.mortals.xhx.module.perform.web;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.bind.annotation.*;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.module.perform.model.PerformPerposeStaffStatEntity;
import com.mortals.xhx.module.perform.service.PerformPerposeStaffStatService;
import org.apache.commons.lang3.ArrayUtils;
import com.mortals.framework.util.StringUtils;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;
import com.alibaba.fastjson.JSONObject;
import java.util.Arrays;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import static com.mortals.framework.ap.SysConstains.*;
/**
*
* 员工目标统计
*
* @author zxfei
* @date 2023-05-16
*/
@RestController
@RequestMapping("perform/perpose/staff/stat")
public class PerformPerposeStaffStatController extends BaseCRUDJsonBodyMappingController<PerformPerposeStaffStatService,PerformPerposeStaffStatEntity,Long> {

    @Autowired
    private ParamService paramService;

    public PerformPerposeStaffStatController(){
        super.setModuleDesc( "员工目标统计");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "month", paramService.getParamBySecondOrganize("PerformPerposeStaffStat","month"));
        this.addDict(model, "day", paramService.getParamBySecondOrganize("PerformPerposeStaffStat","day"));
        super.init(model, context);
    }


}